<?xml version="1.0" encoding="iso-8859-1"?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Amaya - Bienvenue</title>
  <style type="text/css">
 body {font-family: helvetica, arial, sans-serif; color: black; background-color: #C0C0C0}
 h1 {font-size: 200%; font-weight: bold; font-style: italic; color: #488B9B;
 margin-bottom: 0}
 h2 {marging-top: 0; margin-bottom: .4em; font-style:italic;  color: #488B9B;}
 h3 {border: solid 1px #488B9B; padding: 4px; margin-bottom: .2em;  color: #488B9B }
 div p {text-align: justify}
 div {margin-top: 0}
 strong {color: #488B9B}
 .button {border: solid 1px #488B9B; padding: 4px}
 .buttonbar {text-align: center; margin-top: 1.5em}
 .pink {color: #dc5b53}
 a:link {color:#dc5b53; font-weight: bold}
 a:active {color: #ff0000; font-weight: bold}
 a:visited {color: #9820c8; font-weight: bold}
  </style>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="fr" lang="fr">
<p align="center"><svg xmlns="http://www.w3.org/2000/svg" width="466"
height="349">
  <image id="backgroundImage" x="0" y="0" width="466" height="349"
         xlink:href="amaya.png">
    <desc>Leading the Web to its full potential</desc>
  </image>
  <defs>
    <symbol id="cube">
      <polygon points="0,1  5,6  5,21  0,16" stroke="1"/>
      <polygon points="1,0  16,0  21,5  6,5" stroke="1"/>
      <rect x="6" y="6" width="15" height="15" stroke="1"/>
    </symbol>
  </defs>
  <g id="cubes">
    <use x="200" y="112" xlink:href="#cube" style="fill: #0192BF"/>
    <use x="230" y="112" xlink:href="#cube" style="fill: #2B9FC3"/>
    <use x="260" y="112" xlink:href="#cube" style="fill: #53AAC5"/>
    <use x="290" y="112" xlink:href="#cube" style="fill: #7AB4C6"/>
    <use x="320" y="112" xlink:href="#cube" style="fill: #A3C0C9"/>
    <use x="350" y="112" xlink:href="#cube" style="fill: #A3C0C9"/>
    <use x="380" y="112" xlink:href="#cube" style="fill: #A3C0C9"/>
    <use x="410" y="112" xlink:href="#cube" style="fill: #EC1608"/>
    <use x="410" y="142" xlink:href="#cube" style="fill: #E2372C"/>
    <use x="350" y="172" xlink:href="#cube" style="fill: #DAAFAC"/>
    <use x="380" y="172" xlink:href="#cube" style="fill: #DF8984"/>
    <use x="410" y="172" xlink:href="#cube" style="fill: #DC5B53"/>
  </g>
  <text id="logo" x="304" y="162"
  style="font: 24pt helvetica; font-weight: bold; fill: #488B9B;">AMAYA
  </text>
  <text id="version" x="344px" y="306"
  style="font: bold 16pt italic; fill: #0192BF;">Release 4.3
  </text>
  <g id="polygonMask" style="stroke: none;">
    <polygon style="fill: #0192BF;" points="30,60  30,230  108,208"
             stroke="1"/>
    <foreignObject y="156px" x="35px">
      xmlns="http://www.w3.org/1999/xhtml" 
      <math xmlns="http://www.w3.org/1998/Math/MathML"
      style="color: #FFFFFF; font-family: times">
        <mrow>
          <mi>y</mi>
          <mo>=</mo>
          <mfrac>
            <mn>1</mn>
            <msqrt>
              <mrow>
                <msup>
                  <mi>x</mi>
                  <mn>2</mn>
                </msup>
                <mo>+</mo>
                <mn>1</mn>
              </mrow>
            </msqrt>
          </mfrac>
        </mrow>
      </math>
    </foreignObject>
    <polygon style="fill: #9EA4A6;" points="30,60  108,208  125,155"
             stroke="1"/>
    <polygon style="fill: #89A5C7;" points="30,60  125,155  144,161"
             stroke="1"/>
    <polygon style="fill: #488B9B;" points="30,60  144,161  138,115"
             stroke="1"/>
    <polygon style="fill: #9EA4A6;" points="30,60  138,115  180,114"
             stroke="1"/>
    <polygon style="fill: #EC1608;" points="30,60  180,114  160,60"
             stroke="1"/>
  </g>
</svg>
</p>

<div>
<p><strong>Amaya</strong> est un client Web qui sert  la fois de navigateur
et d'outil d'dition. Il a t conu par le <a
href="http://www.w3.org/">W3C</a> avec pour but essentiel la dmonstration des
nouvelles technologies Web dans un environnement WYSIWYG. La version courante
supporte les recommendations HTML, XHTML, MathML, SVG, CSS, et HTTP.</p>
</div>

<div>

<div>
<h3>Caractristiques principales</h3>

<p>Avec Amaya, vous pouvez manipuler des pages Web contenant des formulaires,
des tables et les caractristiques les plus avances de HTML. Vous pouvez
crer et diter des <a href="../doc/amaya/Math.html.fr">expressions
mathmatiques</a> complexes et des <a
href="../doc/amaya/SVG.html.fr">graphiques SVG</a> dans les pages Web. Vous
pouvez styler vos documents en utilisant les cascades de feuilles de style
(CSS). Vous pouvez publier des documents HTML et XHTML sur un serveur local ou
distant  travers HTTP.</p>

<p>La navigation et l'dition sont intimement intgres. Vous pouvez naviguer
et diter des pages Web en mme temps. Pour rendre l'dition plus aise, un
simple clic dans Amaya change seulement le point d'insertion et permet de
rentrer le texte; pour suivre un lien, vous devez double-cliquer. Ce
comportement peut tre modifi ainsi que de nombreuses caractristiques en
utilisant le menu Spcial/Prfrences.</p>

<p>Amaya inclut une application <a
href="../doc/amaya/Annotations.html.fr"><img src="annot.gif"
alt="Icone d'annotation" />d'annotations collaboratives</a> base sur les
technologies du W3C (RDF, XLink et XPointer). Les annotations sont des
commentaires, notes, remarques externes qui peuvent tre attaches  un
document Web complet ou  n'importe quelle partie slectionne d'un document.
Les annotations sont stockes soit sur la machine locale, soit dans des
serveurs d'annotation. La cration d'annotations sur un document ne modifie
pas le document lui-mme.</p>

<p>Une vue source montre le balisage courant produit par Amaya. En utilisant
cette vue en parallle avec la vue principale, vous pouvez travailler sur la
page prsente et sur le code source. Amaya fournit une commande
Dfaire/Refaire multi-niveaux et multi-documents.</p>
</div>

<div>
<h3>Manuel en ligne</h3>

<p>Un manuel d'utilisation est disponible en ligne. Vous pouvez y accder avec
le menu Aide, qui affiche chaque section sparment. Vous pouvez galement
l'imprimer: il suffit de suivre le lien <a
href="../doc/amaya/Manual.html.fr">Manuel en ligne</a>. Vous obtiendrez la
page de garde. Construisez ensuite le livre entier  l'aide de l'entre
"Construire un livre" du menu Spcial et imprimez le rsultat</p>
</div>

<div>
<h3>Droit de copie</h3>

<p>Il est permis d'utiliser, de copier, de modifier et de distribuer ce
logiciel et sa documentation dans n'importe quel but et sans rtribution ou
droits d'auteur, pourvu que tout le texte de <a
href="http://www.w3.org/Consortium/Legal/copyright-software.html">dclaration
du droit de copie du MIT et de l'INRIA</a> apparaisse sur TOUTES les copies du
logiciel et de sa documentation ou portions de celle-ci, incluant les
modifications que vous effectuez.</p>
</div>

<p class="buttonbar"><span class="button"><a href="http://www.w3.org/">Serveur
W3C</a></span> <span class="button"><a
href="http://www.w3.org/Amaya/">Amaya</a></span> <span class="button"><a
href="../doc/amaya/Manual.html.fr">Manuel en ligne</a></span></p>
</div>
</body>
</html>
