<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
  <title>Crer des lments</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="fr" lang="fr">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> <img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="Views.html.fr" accesskey="p"><img
        alt="previous" border="0" src="../Icons/left.gif" /></a> <a
        href="Manual.html.fr" accesskey="t"><img alt="top" border="0"
        src="../Icons/up.gif" /></a> <a href="Links.html.fr"
        accesskey="n"><img alt="next" border="0" src="../Icons/right.gif"
        /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Creating">
<h2>Crer de nouveaux <span xml:lang="fr" lang="fr">lments</span></h2>

<h3><a name="New">Nouveaux documents</a></h3>

<p>Amaya vous permet ce crer de nouveaux documents locaux ou distants. Trois
types de documents sont disponibles: <a
href="../../../../../domenon/carcone/w3c/Amaya/doc/amaya/Creating.html.fr#Creating">XHTML</a>,
<a href="Math.html.fr#Math">MathML</a> ou <a href="SVG.html.fr">SVG.</a></p>

<p>Pour crer un document, aller sur l'entre <strong>Nouveau</strong> du menu
<strong>Fichier</strong> et slectionner le type de document dsir. Amaya
vous demande alors de spcifier l'URI ou le nom local du document  crer (un
nom par dfaut est affect si aucun nom n'est spcifi). Aprs confirmation,
Amaya ouvre une nouvelle fentre contenant le document spcifi. Si ce
document existe dj, sa version courante est charge sinon, Amaya cr un
nouveau document contenant l'lment racine correspondant au type choisi.</p>

<h3><a name="Types">Boutons et menu Elments</a></h3>

<p>La manire la plus simple de crer de nouveaux lments dans un document
est de placer le point d'insertion dans la position voulue et d'utiliser
lemenu Elments, ou les boutons correspondant aux lments les plus communs
(images, en-ttes, listes...). Ces boutons ou entres de menu crent l'lment
correspondant  la position courante.</p>

<p>Dans certains cas, l'lment dsir ne peut pas tre cr exactement dans
la position choisie  cause des contraintes imposes par la DTD HTML.
<strong>Amaya</strong> tente alors de crer l'lment  l'endroit le plus
proche possible. Par exemple, si le point d'insertion se trouve  la fin de la
dernire ligne d'un paragraphe quand vous cliquez sur le bouton <img
src="../Icons/H2.gif" alt="H2" /> , <strong>Amaya</strong> ne cre pas la
nouvelle en-tte  cette position (elle serait invalide) mais aprs le
paragraphe.</p>

<p>Dans d'autres cas, <strong>Amaya</strong> modifie la structure existante
pour crer l'lment dsir. Si le point d'insertion est quelque part dans
l'item de liste (LI) quand vous crez une en-tte de second niveau (par
exemple avec le bouton <img src="../Icons/H2.gif" alt="H2" /> ou  partir du
menu), l'item de liste et sa liste incluse sont automatiquement diviss afin
de crer l'en-tte demand et de se conformer  la DTD HTML.</p>

<p>Quand vous crez de nouveaux lments, il est important de slectionner un
<em>point d'insertion</em>, et non du texte ou un caractre unique : si la
slection courante n'est pas vide, <strong>Amaya</strong> tente de <a
href="Changing.html.fr#L631"><em>transformer</em></a> la partie slectionne
dans le type de l'lment choisi.</p>

<p>De la documentation sur <a href="HTML-elements/infoTypes.html.fr">comment
utiliser les types d'lments</a> est disponible, ainsi que les brves notes
de la <a href="HTML.html.fr">liste de tous les lments HTML 4.0.</a></p>

<h3><a name="Structure">Menu Structure</a></h3>

<p>Le <a href="#Types">menu Elments</a> vous permet seulement de crer des
lments qui font partie du document BODY. Pour crer des lments dans la
partie HEAD du document, utilisez le menu <strong>Structure</strong>  partir
de la <a href="Views.html.fr#Structure">vue structure</a>. Ce menu fonctionne
de la mme manire que le menu <strong>Elments</strong> : mettez le point
d'insertion dans la position dsire et choisissez le type d'lment  partir
du menu <strong>Structure.</strong></p>

<p>Le menu <strong>Structure</strong> vous permet aussi de crer des
commentaires, en utilisant son entre "commentaires". Les commentaires sont
seulement visibles dans la <a href="Views.html.fr#Structure">vue
structure</a>, mais ils peuvent tre insrs  n'importe quelle position dans
le document.</p>

<h4>Elments engendrs</h4>

<p>Certains lments HTML sont constitus de plusieurs autres lments de
diffrents types. Par exemple, une table contient d'habitude une lgende
(CAPTION), plusieurs colonnes (TR) et plusieurs cellules (TD ou TH) dans
chaque colonne.</p>

<p>Quand <strong>Amaya</strong> cre de tels lments, il cre aussi leurs
composants. Une table est cre avec une lgende et une colonne contenant une
seule cellule. Le point d'insertion est automatiquement plac dans le premier
de ces composants. Vous pouvez entrer dans le contenu de ce composant
immdiatement ou plus tard. Vous pouvez vous dplacer jusqu'au prochain
composant (vide) avec la souris ou avec les flches de direction.</p>

<h3><a name="L906">La touche Enter (ou Return)</a></h3>

<p>Lorsque vous crivez un nouveau document ou une nouvelle partie dans un
document, vous tes souvent amens  crer de nouveaux lment. Pour cela, il
suffit de presser la touche Enter (ou Return). L'lment courant est clos et
un nouveau est cr juste aprs. Ceci s'applique videmment aux paragraphes,
mais aussi  d'autres types d'lments, comme les en-ttes ou les <a
href="Tables.html.fr#Editing">cellules de table</a> par exemple.</p>

<p>Le plus souvent, le nouvel lment cr est simplement un paragraphe, quel
que soit le type de l'lment prcdent. Si vous avez besoin d'un autre type
d'lment, vous pouvez changer immdiatement le type de cet lment, en
slectionnant le type dsir dans le menu "Elments" ou en cliquant sur le
bouton correspondant. Vous pouvez aussi continuer  taper et <a
href="Changing.html.fr#L653">changer le type</a> plus tard.</p>

<h4>Plusieurs pressions sur la touche Entre  la fin d'un lment</h4>

<p>Quand le point d'insertion est dans un lment vide, une pression sur la
touche "Entre" <em>remplace</em> cet lment dans un autre lment vide au
niveau suprieur de la structure du document. Cette caractristique vous
permet de crer trs rapidement des structures complexes emboites.</p>

<p>Considrez par exemple la structure suivante :</p>
<ol>
  <li>Le premier item dans le plus haut niveau de la liste. 
    <p>Un paragraphe dans le premier item.</p>
  </li>
  <li>Le second item. 
    <ol type="a">
      <li>Le premier item dans la liste emboite.</li>
      <li>Le second item dans la liste emboite.</li>
    </ol>
  </li>
  <li>Le dernier item dans la liste.</li>
</ol>

<p>Pour crer cette structure, crez d'abord une liste numrote avec un
premier item (par exemple en cliquant sur le bouton <img alt="Numbered List "
border="0" src="../Icons/NumList.gif" align="middle" /> ) et tapez sur la
premire ligne. A la fin de cette premire ligne, pressez la touche "Enter" :
cela cre un nouveau paragraphe dans la liste. A la fin de ce paragraphe,
pressez la touche "Enter" : cela cre encore un nouveau paragraphe. Par
contre, en pressant encore la mme touche, vous remplacez ce paragraphe dans
un item vide 2. A la fin de la premire ligne de l'article 2, crez une
nouvelle liste avec son premier item (cliquez par exemple sur le bouton <img
border="0" alt="Numbered List " src="../Icons/NumList.gif" align="middle" />
). La nouvelle liste sera automatiquement emboite. L'item b. est cr en
appuyant deux fois sur la touche "Enter"  la fin de l'item a. Quand le point
d'insertion est  la fin de l'item b., crez l'item 3 en appuyant quatre fois
sur la touche "Enter". Pour crer le paragraphe qui suit ces listes, pressez
la touche "Enter" trois fois lorsque le point d'insertion est  la fin de
l'item 3.</p>

<h4>Plusieurs pressions sur la touche Entre au dbut d'un lment</h4>

<p>La touche "Enter" fonctionne de la mme manire que prcdemment quand le
point d'insertion est au dbut d'un lment, mais elle cre de nouveaux
lments avant l'lment courant.</p>

<p>Par exemple, pour ajouter un paragraphe initial dans un item de liste,
dplacez le point d'insertion avant le premier caractre de cet item et
pressez la touche "Enter". Si vous appuyez deux fois sur "Enter", vous obtenez
un nouvel item avant l'item en cours. Ceci est utile pour insrer un nouvel
article avant le premier.</p>

<p>Cette utilisation de la touche "Enter" ne s'applique pas seulement aux
listes et aux paragraphes, mais  tous les lments. Elle est par exemple
particulirement commode pour <a href="Manual.html.fr">crer des
tables.</a></p>

<h4>Sortir des ancres ou des chanes d'lments de style</h4>

<p>Quand un paragraphe ou un autre bloc de texte est styl (dlimit par une
ancre ou une chane de caractres en gras, en italique ou dans tout autre
style) dplacez le point d'insertion  la fin et tapez : cela vous permet
d'ajouter des caractres  l'ancre ou  la chane style. Si vous voulez
sortir de cet lment styl et entrer dans le simple texte, il suffit de
presser la touche "Enter" et de continuer  taper.</p>

<p>La mme mthode peut tre utilise pour entrer dans le simple texte au
dbut d'un bloc commenant par une ancre ou par des lments de style.</p>

<h4>Editer les listes de dfinitions (dl/dt/dd)</h4>

<p>La touche "Entre" est galement utile pour diter des listes de
dfinitions. Considrez l'exemple suivant :</p>

<blockquote>
  <dl>
    <dt>Terme 1</dt>
    <dt>Terme 2</dt>
      <dd>Dfinition des deux termes.</dd>
  </dl>
</blockquote>

<p>C'est une liste de dfinitions (<code>dl</code>) contenant deux termes
(<code>dt</code>) suivis par une dfinition (<code>dd</code>). Pour ajouter un
nouveau paragraphe  l'intrieur de la dfinition (<code>dd</code>), placez le
point d'insertion  la fin (aprs le mot "termes") et appuyez sur la touche
"Enter". Si vous pressez "Enter" deux fois, vous sortez de la dfinition en
cours (<code>dd</code>) et vous crez un nouveau terme (<code>dt</code>). A la
fin de ce nouveau terme, presser une fois la touche "Enter" vous permet de
crer encore un nouveau terme (<code>dt</code>). La presser deux fois cre une
nouvelle dfinition (<code>dd</code>).</p>

<p>Si vous voulez crer un nouveau terme avec sa dfinition <em>avant</em> le
Terme 1, mettez le point d'insertion au dbut du terme 1 et appuyez sur
"Enter". Tapez le nouveau terme (<code>dt</code>), puis pressez "Enter" deux
fois : une nouvelle dfinition (<code>dd</code>) est cre directement aprs
le nouveau terme.</p>

<h3><a name="Changing">Changer le titre du document</a></h3>

<p>Vous pouvez diter le titre du document (lment TITRE) en utilisant le
menu <strong>Elments/changer le titre.</strong> Vous pouvez aussi diter le
titre du document dans la <a href="Views.html.fr#Structure">vue
structure</a>.</p>
</div>

<div id="Creating1">
<h3><a>Traitement des blancs</a></h3>

<p>Pour les documents XHTML, <a href="Math.html.fr#Math">MathML</a>, <a
href="SVG.html.fr">SVG</a> et pour les lments MathML ou SVG inclus dans des
documents HTML, Amaya supprime les <strong>blancs non significatifs</strong>
au chargement sauf s'ils doivent tre explicitement prservs.</p>

<p>Sont appels blancs non significatifs:</p>
<ul>
  <li>les caractres de fin de ligne (#xD et (#xA),</li>
  <li>les caractres de tabulation (#X9),</li>
  <li>les blancs de dbut d'un lment,</li>
  <li>les blancs de fin d'un lment,</li>
  <li>les blancs contigus (un seul blanc est alors prserv).</li>
</ul>

<p>L'auteur d'un tel document peut vouloir spcifier son intention de
prserver tous les caractres pour certains lments. Pour cela, il peut
utiliser l'attribut <code>xml:space</code> <strong></strong>ou l'lment
<code>PRE</code> (ce dernier pour des documents XHTML uniquement). Deux
valeurs sont possibles pour l'attribut <code>xml:space</code>:
"<code>defaul</code>t" et "<code>preserve</code>". La valeur
"<code>default</code>" applique le traitement des blancs par dfaut dfini
pour la DTD du document. Dans Amaya, le traitement par dfaut supprime les
blancs non significatif pour les DTD supportes (voir ci-dessus). La valeur
"<code>preserve</code>" indique  Amaya de prserver tous les caractres, 
l'exception du premier caractre qui suit immdiatement la fin de la balise de
l'lment portant l'attribut si ce caractre est une fin de ligne. L'attribut
<code>xml:space</code> s'applique  tous les lments  l'intrieur du contenu
de l'lment porteur de la dclaration,  moins qu'il ne soit annul par
l'apparition d'un autre attribut <code>xml:space</code>. Concernant la DTD
XHTML, l'lment <code>PRE</code> induit le mme comportement que l'attribut
xml:space avec la valeur "preserve".</p>

<p>Le traitement des blancs est appliqu par Amaya lors du chargement d'un
document mais ne s'applique pas lors de l'dition de celui-ci. Ainsi, si vous
saisissez des blancs non significatifs, ils seront visibles  l'cran et
sauvegards tels que mais ils seront supprims lors du prochain chargement.
Par exemple, le code source suivant:</p>

<p><code>&lt;p&gt;Amaya supprime les&lt;strong&gt; blancs non significatifs
&lt;/strong&gt;au chargement&lt;/p&gt;</code></p>

<p>donnera  l'dition:</p>
<pre><code>Amaya supprime les</code><strong><code> blancs non significatifs </code></strong><code>au chargement</code></pre>

<p>et sera sauvegard sous cette forme. Lors du prochain chargement de ce
document, cette partie sera transforme en:</p>

<p><code>Amaya supprime les</code><code><strong>blancs non
significatif</strong></code><code><strong>s</strong>au chargement</code></p>

<p>car les blancs de dbut et de fin de l'lment <code>strong</code> sont
considrs comme non significatifs et sont donc supprims. La forme correcte
autait t:</p>

<p><code>&lt;p&gt;Amaya supprime les &lt;strong&gt;blancs non
significatifs&lt;/strong&gt; au chargement&lt;/p&gt;</code></p>

<p>Nous vous conseillons de recharger votre document lorsque vous avez fini de
le saisir afin de visualiser le rsultat lors d'un prochain chargement avec
Amaya.</p>
</div>

<p align="right"><a href="Views.html.fr"><img alt="previous" border="0"
src="../Icons/left.gif" /></a> <a href="Manual.html.fr"><img alt="top"
border="0" src="../Icons/up.gif" /></a> <a href="Links.html.fr"><img
alt="next" border="0" src="../Icons/right.gif" /></a></p>
<hr />
</body>
</html>
