<?xml version="1.0" encoding="iso-8859-1"?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Editer des mathmatiques</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="en" lang="en">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> <img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="Tables.html.fr" accesskey="p"><img
        alt="previous" border="0" src="../Icons/left.gif" /></a> <a
        href="Manual.html.fr" accesskey="t"><img alt="top" border="0"
        src="../Icons/up.gif" /></a> <a href="SVG.html.fr" accesskey="n"><img
        alt="next" border="0" src="../Icons/right.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Math">
<h2>Editer des mathmatiques</h2>

<p>Amaya vous permet d'inclure des expressions mathmatiques dans des pages
web, suivant la spcification du <a
href="http://www.w3.org/TR/REC-MathML/">Balisage du langage mathmatique</a>
(MathML). Les expressions mathmatiques y sont traites comme des composants
structurs, de la mme manire que les lments HTML. Vous pouvez donc
manipuler les expressions mathmatiques de la mme manire que vous manipulez
les autres parties des documents HTML. Toutes les commandes d'dition fournies
par Amaya pour traiter le texte sont galement utilisables pour les
mathmatiques. Il y a quelques manipulations supplmentaires pour entrer des
constructions mathmatiques.</p>

<h3><a name="Creating">Crer une expression mathmatique</a></h3>

<h4>La palette Math et le menu Elments/Math</h4>

<p>Pour crer une expression mathmatique dans un document, il suffit de <a
href="Selecting.html.fr#Selecting">dplacer le point d'insertion</a> 
l'endroit o vous voulez insrer l'expression, puis de cliquer sur le bouton
<strong>Math</strong> (le bouton  droite de la barre des boutons) ou de
slectionner l'entre <strong>Math</strong> du menu <strong>Elments</strong>.
Le bouton <strong>Math</strong> affiche une palette qui reste  l'cran
jusqu ce que vous cliquiez sur son bouton "terminer". L'entre
<strong>Math</strong> du menu <strong>Elments</strong> affiche un menu.
Choisissez l'outil qui vous est le plus commode. Les deux vous permettent de
choisir la construction mathmatique  insrer.</p>

<p>Dans la palette Math (ou le menu), le premier item vous permet de crer une
nouvelle formule lorsque le point d'insertion est dans un lment HTML ou <a
href="SVG.html.fr">SVG</a> (mais le point d'insertion ne devrait pas tre 
l'intrieur d'un lment MathML).</p>

<p>Dans le menu <strong>Math</strong>, les lments suivants vous donnent la
possibilit de crer de nouveaux lments de base (non disponibles dans la
palette) : Texte (<code>mtext</code>), Identificateur (<code>mi</code>),
Nombre (<code>mn</code>), Oprateur (<code>mo</code>). Vous pouvez galement
utiliser ces commandes pour changer le type d'un lment seul ou d'une
squence d'lments.</p>

<p>Ces items du menu <strong>Math</strong> sont suivis de l'item Caractre
(<code>&amp;xxx;</code>). Cette commande vous permet d'entrer un caractre qui
n'est pas disponible sur le clavier. Elle affiche une bote de dialogue dans
laquelle vous devez entrer le nom du caractre (par exemple <em>alpha</em>
pour le caractre grec &alpha;).</p>

<p>Les lements suivants du menu <strong>Math</strong> (ou de la palette) vous
permettent de crer de nouvelles constructions  l'intrieur d'une formule. Si
le point d'insertion n'est pas dans une formule, un lment Math est d'abord
cr pour accepter la nouvelle construction. Les constructions disponibles
sont :</p>
<ul>
  <li>Racine (<code>mroot dans</code> MathML) : 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mroot>
        <mrow>
          <mi>x</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
        <mn>3</mn>
      </mroot>
    </math>
  </li>
  <li>Racine carre ( <code>msqrt)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msqrt>
        <mrow>
          <mi>x</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
      </msqrt>
    </math>
  </li>
  <li>Englobe (<code>menclose)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <menclose>
        <mn>1234</mn>
      </menclose>
    </math>
  </li>
  <li>Fraction (<code>mfrac)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mfrac>
        <mn>1</mn>
        <mrow>
          <mi>x</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
      </mfrac>
    </math>
  </li>
  <li>Indice et exposant Expression (<code>msubsup)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msubsup>
        <mi>x</mi>
        <mrow>
          <mi>i</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
        <mi>n</mi>
      </msubsup>
    </math>
    or 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mrow>
        <msubsup>
          <mo>&Integral;</mo>
          <mn>0</mn>
          <mo>&infin;</mo>
        </msubsup>
        <mi></mi>
      </mrow>
    </math>
  </li>
  <li>Indice (<code>msub)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msub>
        <mi>x</mi>
        <mi>i</mi>
      </msub>
    </math>
  </li>
  <li>Exposant (<code>msup)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msup>
        <mi>x</mi>
        <mi>n</mi>
      </msup>
    </math>
  </li>
  <li>Dessous et dessus (<code>munderover)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <munderover>
        <mo>&Sum;</mo>
        <mrow>
          <mi>i</mi>
          <mo>=</mo>
          <mn>1</mn>
        </mrow>
        <mi>n</mi>
      </munderover>
    </math>
  </li>
  <li>Dessous (<code>munder)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <munder>
        <mi>x</mi>
        <mo>-</mo>
        <mi></mi>
      </munder>
    </math>
  </li>
  <li>Dessus (<code>mover)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mrow>
        <mi>x</mi>
        <mover>
          <mo>&RightArrow;</mo>
          <mtext>maps to</mtext>
        </mover>
        <mi>y</mi>
      </mrow>
    </math>
  </li>
  <li>Parenthses (<code>mrow)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mrow>
        <mo fence="true">(</mo>
        <mrow>
          <mi>a</mi>
          <mo>+</mo>
          <mi>b</mi>
        </mrow>
        <mo fence="true">)</mo>
      </mrow>
    </math>
  </li>
  <li>Multiscripts (<code>mmultiscripts)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mmultiscripts>
        <mi>X</mi>
        <mi>i</mi>
        <mi>j</mi>
        <mprescripts/>
        <mi>k</mi>
        <mi>l</mi>
      </mmultiscripts>
    </math>
  </li>
  <li>Matrice ou table (<code>mtable)</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mtable>
        <mtr>
          <mtd>
            <mi>a</mi>
          </mtd>
          <mtd>
            <mi>b</mi>
          </mtd>
        </mtr>
        <mtr>
          <mtd>
            <mi>c</mi>
          </mtd>
          <mtd>
            <mi>d</mi>
          </mtd>
        </mtr>
      </mtable>
    </math>
  </li>
</ul>

<p>Le dernier item de la palette <strong>Math</strong> ( 
<math xmlns="http://www.w3.org/1998/Math/MathML">
  <mi>&alpha;&beta;&gamma;</mi>
</math>
) affiche une autre palette  partir de laquelle vous pouvez insrer des
symboles mathmatiques et des caractres grecs.</p>

<h4><a name="Entering">Entrer des constructions  partir du clavier.</a></h4>

<p>Vous n'tes pas oblig d'utiliser le menu ou la palette pour crer et
diter des expressions mathmatiques. Vous pouvez entrer des constructions
mathmatiques directement  partir du clavier puisque que chaque article du
menu <strong>Math</strong> a un quivalent sur le clavier (tous les raccourcis
sont indiqus dans le menu). Ceci vous permet de taper plus vite.</p>

<p>Si vous voulez taper encore plus vite, vous pouvez aussi utiliser les
touches de direction du clavier (flches) pour faire passer le point
d'insertion d'une construction  une autre. En particulier, les deux flches
horizontales permettent de se dplacer selon la structure de l'expression
mathmatique. Par exemple, en fin de numrateur d'une fraction, la touche &rarr;
fait passer au dbut du dnominateur.</p>

<h3><a name="Entering1">Entrer des caractres</a></h3>

<p>Quand vous tapez une chane de caractres dans un lement MathML, Amaya
analyse cette chane et engendre automatiquement des lments <code>mo</code>
(oprateur), <code>mn</code> (nombre), <code>mi</code> (identificateur), et
<code>mtext.</code>Par exemple, pour entrer</p>

<p>
<math xmlns="http://www.w3.org/1998/Math/MathML">
  <mrow>
    <mi>x</mi>
    <mo>=</mo>
    <mn>2</mn>
    <mi>a</mi>
    <mo>+</mo>
    <mi>b</mi>
  </mrow>
</math>
</p>

<p>il suffit de taper cette squence de 6 caractres : <code>x=2a+b</code>
(n'oubliez pas de cliquer d'abord sur l'entre Math du menu
<strong>Math</strong> si vous n'tes pas dans une expression mathmatique), et
vous obtiendrez la structure suivante (vous pouvez vrifier dans le <a
href="#Math_Struc">vue Structure</a>) :</p>
<pre>&lt;mi&gt;x&lt;/mi&gt;&lt;mo&gt;=&lt;/mo&gt;&lt;mn&gt;2&lt;/mn&gt;&lt;mi&gt;a&lt;/mi&gt;&lt;mo&gt;+&lt;/mo&gt;&lt;mi&gt;b&lt;/mi&gt;</pre>

<p>Si le rsultat ne correspond pas exactement  ce que vous vouliez, il
suffit de slectionner les caractres mal interprts et de changer leur type
avec l'une des commandes Texte (mtext), Identificateur(mi), Nombre(mn),
Oprateur (mo) du menu Elments/Math.</p>

<h3><a name="Structure">Editer la structure</a></h3>

<p>Amaya prvoit la mme mthode pour crer et diter des matrices que pour <a
href="Tables.html.fr#Editing">diter des tables HTML</a>. Comme pour les
tables, il y a une commande spcifique (Dtruire une colonne de matrice) pour
dtruire une colonne dans une matrice, mme si elle n'est pas vide. Cette
commande est situe  la fin du sous-menu <strong>Math</strong> du menu
<strong>Elments.</strong></p>

<p>Si vous voulez changer la structure d'une expression existante, pour
ajouter par exemple un exposant ou mettre des parenthses autour d'une
expression, il suffit de slectionner l'expression et d'entrer la nouvelle
expression avec la palette, le menu <strong>Math</strong> ou le <a
href="#Entering">clavier</a>. Vous pouvez galement utiliser la commande
<strong>Transformer</strong>du menu <strong>Edition</strong>. Slectionnez
l'expression que vous voulez transformer et la
commande<strong>Transformer</strong> affichera un menu avec tous les
changements possibles.</p>

<h3><a name="Math_Struc">Vue Structure</a></h3>

<p>Toutes les fois qu'un document contient des lments MathML, la slection
de l'article <a href="Views.html.fr#Structure">Montrer la structure</a> du
menu <strong>Vues</strong> ouvre la vue Structure qui montre la structure
principale du document HTML. Dans cette vue, les lments MathML et leurs
contenus effectifs sont affichs.</p>

<p>Vous pouvez diter des expressions mathmatiques aussi bien dans la vue
pricipale que dans la vue Structure. La vue Structure est particulirement
utile pour viter l'ambigut. Observez l'exemple suivant :</p>

<math xmlns="http://www.w3.org/1998/Math/MathML">
  <mrow>
    <mi>x</mi>
    <mo>=</mo>
    <msqrt>
      <mrow>
        <mi>a</mi>
        <mo>+</mo>
        <mi fontstyle="italic">b</mi>
      </mrow>
    </msqrt>
    <mo>+</mo>
    <mn>1</mn>
  </mrow>
</math>


<p>Lorsque vous dplacez le point d'insertion aprs le caractre<em>b</em>, il
n'est pas vident de distinguer si vous voulez ajouter quelquechose <em>
l'intrieur</em>de la racine carre ou <em>aprs</em> elle. Slectionner (ou
vrifier ) dans la vue Structure vite toute ambigut. Vous pouvez galement
vrifier la position de la ligne, en bas de la fentre pricipale.</p>

<h3><a name="Links">Les liens dans MathML</a></h3>

<p>Vous pouvez crer et utiliser des liens dans des expressions mathmatiques.
Ces liens sont reprsents en utilisant une version dtache du <a
href="http://www.w3.org/TR/WD-xlink">XML Linking Language (XLink)</a>. Seuls
les liens simples unidirectionnels sont utilisables, mais vous pouvez associer
un lien  n'importe quelle partie d'une formule. Par exemple, la fraction dans
la formule ci-dessous est un lien vers la page d'accueil du W3C :</p>

<math xmlns="http://www.w3.org/1998/Math/MathML">
  <mrow>
    <mi>y</mi>
    <mo>=</mo>
    <mi></mi>
    <mfrac xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple"
    xlink:href="http://www.w3.org/">
      <mn>1</mn>
      <msqrt>
        <mrow>
          <msup>
            <mi>x</mi>
            <mn>2</mn>
          </msup>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
      </msqrt>
    </mfrac>
  </mrow>
</math>


<p>Cliquer deux fois sur un des caractres  l'intrieur de la fraction fait
apparatre la page d'accueil du W3C.</p>

<p>(Vous pouvez trouver cela seulement dans la vue structure. Ce n'est pas
actuellement indiqu dans la vue liens). Pour crer un tel lien, il suffit de
slectionner une expression (la fraction dans la dmonstration ci-dessus par
exemple), de cliquer sur le bouton Lien ( ou de slectionner le "crer lien"
du menu Liens), et de cliquer sur la cible dsire. Si la cible est une
expression dans une formule, vous devez d'abord transformer cette expression
en cible. Il suffit de slectionner l'expression ainsi que le "crer cible" du
menu Liens. Ceci cre un attribut <code>id</code> pour l'expression cible.</p>

<h3><a name="Current">Limites courantes</a></h3>

<p>Amaya implmente seulement les <em>Balises de Prsentation</em>  partir du
MathML 2.0, et non le <em>Balisage du Contenu</em>. Tous les lments de
prsentation et les attributs sont utilisables, mais seuls les attributs
suivant sont pris en compte dans le formatage: <code>alttext</code>,
<code>fontsize</code>, <code>fontweight</code>, <code>fontstyle</code>,
<code>fontfamily</code>, <code>color</code>, <code>linethickness</code>,
<code>numalign</code>, <code>denomalign</code>, <code>bevelled</code>,
<code>notation</code>, <code>lquote</code>, <code>rquote</code>,
<code>lspace</code>, <code>rspace</code>, <code>subscriptshift</code>,
<code>superscriptshift</code>, <code>form</code>, <code>width</code>
(<code>mspace</code> only), <code>height</code> (<code>mspace</code> only),
<code>depth</code> (<code>mspace</code> only), <code>align</code>,
<code>rowalign</code>, <code>columnalign</code>, <code>frame</code>,
<code>side</code>, <code>rowspan</code>, <code>columnspan</code>.</p>

<p>Les attributs <code>class</code>, <code>id</code> et <code>style</code>
sont utilisables, avec la mme smantique que dans HTML : vous pouvez <a
href="StyleSheets.html.fr">associer le style CSS</a> aux lments MathML
(attribut<code>class</code> et <code>style</code>) et un lment MathML peut
tre la cible d'un lien (attribut<code>id</code>).</p>

<p>A cause du manque de polices de caractres mathmatiques, seule une srie
limite d'entits reprsentant des symboles mathmatiques est reconnue, la
plupart disponible dans la police Symbole. La version courante contient :
Therefore, SuchThat, DownTee, Or, And, Not, Exists, ForAll, Element,
NotElement, NotSubset, Subset, SubsetEqual, Superset, SupersetEqual,
DoubleLeftArrow, DoubleLeftRightArrow, DoubleRightArrow, LeftArrow,
LeftRightArrow, RightArrow, Congruent, GreaterEqual, le, NotEqual,
Proportional, VerticalBar, Union, Intersection, PlusMinus, CirclePlus, Sum,
Integral, CircleTimes, Product, CenterDot, Diamond, PartialD, DoubleDownArrow,
DoubleUpArrow, DownArrow, UpArrow, ApplyFunction, TripleDot, DifferentialD,
ImaginaryI, ExponentialE, InvisibleComma, UnderBar, OverBar, ThinSpace,
ThickSpace, Hat, OverBar, UnderBar, prime, Prime.</p>
</div>

<p align="right"><a href="Tables.html.fr"><img alt="previous" border="0"
src="../Icons/left.gif" /></a> <a href="Manual.html.fr"><img alt="top"
border="0" src="../Icons/up.gif" /></a> <a href="SVG.html.fr"><img alt="next"
border="0" src="../Icons/right.gif" /></a></p>
<hr />
</body>
</html>
