<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Raccourcis clavier</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body>

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> <img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></td>
      <td><p align="right"><a href="Configure.html.fr" accesskey="p"><img
        alt="previous" border="0" src="../Icons/left.gif" /></a> <a
        href="Manual.html.fr" accesskey="t"><img alt="top" border="0"
        src="../Icons/up.gif" /></a> <a href="Access.html.fr"
        accesskey="n"><img alt="next" border="0" src="../Icons/right.gif"
        /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="shortcuts">
<h2>Les raccourcis clavier</h2>

<p>Il est utile de pouvoir invoquer les commandes des menus directement depuis
le clavier. La bote  outils de Thot fournit une facilit qui laisse
l'utilisateur accomplir ceci par le biais d'un fichier de raccourcis clavier.
Ce fichier dfinit une liste d'associations entre une squence au clavier et
la commande correspondante invoque.</p>

<p>La syntaxe utilise pour dfinir une association est :</p>
<pre> Directive = KeySeq ':' IdentCommand ;
 KeysSeq = KeySet [ ',' KeySet ] ;
 KeySet = [ Modifier ] [ 'Shift' ] Key ;
 Key = '&lt;Key&gt;' KeyValue / '&lt;Key&gt;' SpecialKey ;
 Modifier = 'Ctrl' / 'Alt' / 'Meta' ;
 KeyValue = 'a' / 'b' / ... ;
 SpecialKey = 'Escape' / 'Delete' / 'Space' / 'BackSpace' /
              'Enter' / 'Up' / 'Down' / 'Left' / 'Right' /
              'Home' / 'End' / 'F1' / ... / 'L1' / ... / 'R1' / ... ;
 IdentCommand = 'TtcInsertChar(' Char ')' / NAME '()' ;
 Char = KeyValue / OctalValue ; OctalValue = '\' NUMBER ; </pre>

<p>Par exemple, regardez les fichiers standards <code>amaya.keyboard</code>
(pour stations Unix) et <code>amaya.kb</code> (pour stations Windows), qui
sont localiss par dfaut dans le rpertoire <code>Amaya/config</code>.</p>

<p>La liste des commandes disponibles est :</p>
<ul>
  <li>Commandes de dplacement : 
    <ul>
      <li><span style="color: #E55500" class="menuItems">TtcNextChar,
        TtcPreviousChar</span> : dplace caractre par caractre.</li>
      <li><span style="color: #E55500" class="menuItems">TtcNextLine,
        TtcPreviousLine, TtcStartOfLine, TtcEndOfLine</span> : dplace ligne
        par ligne.</li>
      <li><span style="color: #E55500" class="menuItems">TtcNextElement,
        TtcPreviousElement, TtcChildElement, TtcParentElement</span> : dplace
        lment par lment.</li>
      <li><span style="color: #E55500" class="menuItems">TtcPageDown,
        TtcPageUp, TtcPageTop, TtcPageEnd</span> : fait dfiler page par
      page.</li>
      <li><span style="color: #E55500" class="menuItems">TtcLineUp,
        TtcLineDown</span> fait dfiler une ligne en haut ou une ligne en
      bas.</li>
    </ul>
  </li>
  <li>Une commande qui permet de suivre un lien ou d'activer un lment de
    bote de dialogue (menu, bouton, etc.) : 
    <p class="menuItems"><span style="color: #E55500">DoAction.</span></p>
  </li>
  <li>Dans le menu <code>Fichier</code> :<span style="color: #FFDA95"></span> 
    <p class="menuItems"><span style="color: #E55500">New, NewTemplate,
    NewCss, OpenDoc, OpenDocInNewWindow, Reload, GotoPreviousHTML,
    GotoNextHTML, GoToHome, SaveDocument, SaveDocumentAs, Synchronize,
    SetupAndPrint, PrintAs CloseDocument, AmayaClose</span></p>
  </li>
  <li>Dans le menu dition : 
    <p class="menuItems"><span style="color: #E55500">TtcUndo, TtcRedo,
    TtcCutSelection, TtcCopySelection, TtcPaste, TtcDeleteSelection,
    SetBrowserEditor, TtcSearchText, SpellCheck, TransformType.</span></p>
  </li>
  <li>Dans le menu <code>structure</code> : 
    <p class="menuItems"><span style="color: #E55500">CreateBase, CreateMeta,
    CreateLinkInHead, CreateScript, CreateStyle, CreateComment.</span></p>
  </li>
  <li>Dans le menu lments : 
    <dl>
      <dt>Menu principal :</dt>
      <dt style="color: #E55500">ChangeTitle, CreateAddress, CreateParagraph,
      CreateImage, CreateHorizontalRule, CreateBlockQuote, CreatePreformatted,
      CreateAddress, CreateDivision, CreateNOSCRIPT, CreateObject,
      CreateParameter, CreateIFrame, CreateBreak("\212")</dt>
      <dt>sous-menu Zone active :</dt>
      <dt><span style="color: #E55500">CreateAreaRect, CreateAreaCircle,
      CreateAreaPoly</span></dt>
      <dt>sous-menu Formulaire :</dt>
      <dt style="color: #E55500">CreateForm, CreateFileInput,
      CreateImageInput, CreatePasswordInput, CreateHiddenInput, CreateLabel,
      CreateFieldset, CreateOptGroup, CreateToggle, CreateRadio, CreateOption,
      CreateTextInput, CreateTextArea, CreateSubmit, CreateReset,</dt>
      <dt>sous-menu Entte :</dt>
      <dt style="color: #E55500">CreateHeading1, CreateHeading2,
      CreateHeading3, CreateHeading4, CreateHeading5, CreateHeading6</dt>
      <dt>sous-menu Liste :</dt>
      <dt style="color: #E55500">CreateList, CreateNumberedList,
      ThotCreateMenu, ThotCreateDirectory, CreateDefinitionList,
      CreateDefinitionTerm, CreateDefinitionDef</dt>
      <dt>sous-menu Math :</dt>
      <dt style="color: #E55500">CreateInlineMath, CreateMath, CreateMROOT,
      CreateMSQRT, CreateMFRAC, CreateMSUBSUP, CreateMSUB, CreateMSUP,
      CreateMUNDEROVER, CreateMUNDER, CreateMOVER, CreateMROW,
      CreateMMULTISCRIPTS, CreateMTABLE</dt>
      <dt>sous-menu Objet :</dt>
      <dt style="color: #E55500">CreateObject, CreateParameter</dt>
      <dt>sous-menu Table :</dt>
      <dt style="color: #E55500">CreateTable, CreateCaption, CreateTHead,
      CreateTBody, CreateTFoot, CreateRow, CreateDataCell, CreateHeadingCell,
      DeleteColumn</dt>
    </dl>
  </li>
  <li>Dans le menu <code>Liens</code> : 
    <p class="menuItems"><span style="color: #E55500">LinkToPreviousTarget,
    CreateOrChangeLink, CreateTarget, DeleteAnchor.</span></p>
  </li>
  <li>Dans le menu <code>Vues</code> : 
    <p class="menuItems"><span style="color: #E55500">TtcSwitchButtonBar,
    TtcSwitchCommands, ShowMapAreas, ShowTargets, ZoomIn, ZoomOut,
    ShowStructure, ShowAlternate, ShowLinks, ShowToC., ShowSource</span></p>
  </li>
  <li>Dans le menu <code>Style</code> : 
    <dl>
      <dt>Menu principal :</dt>
      <dt style="color: #E55500">TtcChangeCharacters, TtcChangeColors,
      TtcChangeFormat, ChangeBackgroundImage, CreateClass, ApplyClass.</dt>
      <dt>sous-menu feuilles de style :</dt>
      <dt style="color: #E55500">LinkCSS, OpenCSS, DisableCSS, EnableCSS,
      RemoveCSS.</dt>
      <dt>sous-menu types information :</dt>
      <dt style="color: #E55500">SetOnOffEmphasis, SetOnOffStrong,
      SetOnOffCite, SetOnOffDefinition, SetOnOffCode, SetOnOffVariable,
      SetOnOffSample, SetOnOffKeyboard, SetOnOffAbbr, SetOnOffAcronym,
      SetOnOffINS, SetOnOffDEL.</dt>
      <dt>sous-menu lments caractres :</dt>
      <dt style="color: #E55500">SetOnOffItalic, SetOnOffBold,
      SetOnOffTeletype, SetOnOffBig, SetOnOffSmall, SetOnOffSub, SetOnOffSup,
      SetOnOffQuotation, SetOnOffBDO.</dt>
    </dl>
  </li>
  <li>Dans le menu <code>Spcial</code> : 
    <p class="menuItems"><span style="color: #E55500">SectionNumbering,
    MakeBook, MakeID, ShowLogFile, ConfigGeneral, ConfigPublish, ConfigCache,
    ConfigProxy, ConfigColor, ConfigGeometry, ConfigLanNeg, ConfigProfile,
    ConfigTemplates.</span></p>
  </li>
  <li>Dans le menu Annotations: 
    <p class="menuItems"><span style="color: #E55500"><span
    style="color: #E55500">AnnotateSelection, AnnotateDocument,
    LoadAnnotations, PostAnnotation, DeleteAnnotation, FilterAnnot,
    ConfigAnnot.</span></span></p>
  </li>
</ul>
<ul>
  <li>Dans le menu <code>Aide</code> : 
    <p class="menuItems"><span style="color: #E55500">HelpAmaya, HelpAtW3C,
    HelpBrowsing, HelpSelecting, HelpSearching, HelpViews, HelpCreating,
    HelpLinks, HelpChanging, HelpTables, HelpMath, HelpSVG, HelpImageMaps,
    HelpStyleSheets, HelpAttributes, HelpPublishing, HelpPrinting,
    HelpNumbering, HelpMakeBook, HeplAnnotation, HelpConfigure,
    HelpShortCuts.</span></p>
  </li>
</ul>

<p></p>
</div>

<p align="right"><a href="Configure.html.fr"><img alt="previous" border="0"
src="../Icons/left.gif" /></a><a href="Manual.html.fr"><img alt="top"
border="0" src="../Icons/up.gif" /></a> <a href="Access.html.fr"><img
alt="next" border="0" src="../Icons/right.gif" /></a></p>
<hr />
<address>
  <a href="mailto:vatton@w3.org">Irne Vatton</a><br />
  <br />

</address>

<p></p>
</body>
</html>
