<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Naviguer avec Amaya</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="en" lang="en">

<table border="0" width="100%">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> <img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="Manual.html.fr" accesskey="t"><img alt=""
        border="0" src="../Icons/up.gif" /></a> <a href="Selecting.html.fr"
        accesskey="n"><img alt="next" border="0" src="../Icons/right.gif"
        /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Browsing" xml:lang="fr" lang="fr">
<h2>Naviguer et diter</h2>

<p><strong>Amaya</strong> est essentiellement un diteur ayant des capacits
de navigation. Lorsqu'il est utilis comme navigateur, il se comporte comme
beaucoup d'autres navigateurs du Web, except pour ce qui est d'<a
href="#L311">activer les liens</a>. Lors d'une opration normale,
<strong>Amaya</strong> vous permet de naviguer et dditer des documents
simultanment, mais vous pouvez changer ce comportement standard pour chaque
fentre de document indpendamment. Le bouton <img src="../Icons/Editor.gif"
alt="editor-mode" /> indique que la fentre est en mode diteur : vous pouvez
diter le document courant et naviguer dans cette fentre. En cliquant sur ce
bouton, vous faites passer la fentre en mode navigation. Le bouton prend
ainsi cette reprsentation <img src="../Icons/Browser.gif" alt="browser-mode"
/> et vous pouvez seulement naviguer et remplir les formulaires. cette option
est galement disponible partir de l'option <strong>Mode Editeur</strong> du
menu d'dition, ou bien par le raccourci clavier
(<strong>Shift-Control-*</strong> par dfaut).</p>

<h3><a name="Activating">Activer un lien</a></h3>

<p>Les liens sont habituellement prsents en bleu (ou souligns en noir et
blanc). Comme <strong>Amaya</strong> est un diteur, vous devez effectuer un
double-clic sur un lien pour l'activer. Un simple-clic dplace seulement le
point d'insertion et affiche l'URI complte du lien dans la barre d'tat de la
fentre principale. Ce comportement par dfaut peut tre modifi ainsi que
d'autres paramtres par l'intermdiaire du menu Spcial/Prfrences/Gnrales.
En modifiant "cliquer deux fois pour suivre un lien", vous pourrez naviguer de
document en document  l'aide d'un simple-clic. Dans ce cas, vous ne pouvez
pas mettre aisment le point d'insertion  l'intrieur des liens : vous devez
soit utiliser une slection tendue soit dplacer le point d'insertion 
l'intrieur des liens  l'aide des flches. Il est galement possible
d'utiliser le clavier pour activer les liens, ainsi que les formulaires de
contrles. La commande au clavier est <strong>Alt-Enter</strong> par
dfaut.</p>

<p>Le document rcupr par cette opration <em>remplace</em> normalement le
document courant dans la mme fentre et conserve le mode (diteur ou
navigateur). Cependant, si le document courant a t modifi et n'a pas encore
t sauvegard, une autre fentre sera cre pour le nouveau document, afin
d'viter la perte des derniers changements.</p>

<h3><a name="L294">Accs rapides</a></h3>

<p>Un auteur peut associer un attribut <code>acceskey</code>  un champ de
formulaire, une zone activable, ou un lien. Les ments suivants supportent cet
attribut: AREA, BUTTON, INPUT, LABEL, LEGEND, et TEXTAREA. Ceci peut tre
crutial pour les personnes avec des handicaps moteur, mais il y a d'autres
conditions o c'est ncessaire ou utile.</p>

<p>Si l'auteur du document a associ un attribut <code>accesskey</code> au
lien (par exemple <code>acceskey="a"</code>) dans un document, la commande
<strong>Alt-accesskey</strong> (par exemple Alt-a) va activer le lien. Quand
elle est assigne  un lment de formulaire, la commande
<strong>Alt-accesskey</strong> donne le focus  cet lment (le suivant dans
le cas de LABEL et LEGEND).</p>

<p>Les accs rapides supplantent les raccourcis clavier de Amaya. Par exemple
les pages d'Aide dclarent des accs rapides: "n" pour aller  la page
suivante, "p" pour aller  la page prcdente, "t" pour la table des matires.
Si l'utilisateur a associ un raccourci clavier Alt-p  une commande d'dition
de Amaya, ce raccourci clavier ne sera pas accessible quand ces pages d'aide
sont affiches. Par dfaut la touche de modification utilise est
<strong>Alt</strong>. Le menu de prfrences
<code>Special/Preferences/General</code> permet de modifier cette
configuration par dfaut. L'utilisateur peut utiliser la touche
<strong>Control</strong> au lieu de <strong>Alt</strong> et peut dcider de
dsactiver la prise en compte des accs rapides.</p>

<h3><a name="L515">Ancres cibles</a></h3>

<p>Certaines parties du texte peuvent tre affiches avec une icne en forme
de cible <a name="target"><img src="../Icons/target.gif" alt=" target "
/></a>. Ces icnes ne font pas partie du document et peuvent donc tre soit
visualises soit caches juste en modifiant le statut <strong>Montrer les
cibles</strong> de la fentre courante, qui est une option du menu
<strong>Vues</strong>. Par dfaut la commande au clavier est <strong>Control-v
Contol-t</strong> sur Unix, <strong>Alt-v Alt-l</strong> sur Windows.</p>

<p>Ces icnes sont associes aux <em>lments cibles</em>, i.e. lments avec
un attribut <code>ID</code> , ou aux <em>ancres cibles</em>, i.e. ancres avec
un attribut <code>name</code>. Elles identifient les cibles possibles pour les
liens. Ces icnes sont destines  rendre la cration de liens plus facile. En
effet, le fait de pouvoir reconnatre rapidement la cible possible d'un lien,
permet de <a href="Links.html.fr#L245">crer des liens</a> plus vite.</p>

<h3><a name="Opening">Ouverture de documents</a></h3>

<p>Vous pouvez ouvrir des documents locaux ou distants de diffrentes faons
:</p>

<p>Menu Fichier</p>
<dl>
    <dd>Deux entres  partir du menu Fichier, <strong>Ouvrir</strong> et
      <strong>Ouvrir dans nouvelle fentre</strong>, vous permettent
      respectivement d'ouvrir un nouveau document dans la mme fentre ou dans
      une nouvelle fentre. Les commandes clavier par dfaut sont
      respectivement <strong>Control-x Contol-f</strong> et <strong>Control-x
      Control-o</strong> sur Unix, <strong>Control-o</strong> et
      <strong>Shift-Control-O</strong> sur Windows. Ces deux commandes font
      apparatre une bote de dialogue dans laquelle vous pouvez entrer un nom
      de fichier local ou une URI. Vous pouvez galement choisir un fichier 
      partir de l'option <strong>Butiner</strong> qui vous propose un
      slecteur de fichiers locaux. 
      <p>Quand le document est correctement spcifi, cliquez sur le bouton
      <strong>Confirmer</strong>. Cette commande peut aussi tre utilise pour
      crer un nouveau document local.</p>
    </dd>
  <dt>Ligne de commande "Ouvrir"</dt>
    <dd>Cette zone affiche le nom du fichier ou l'URI du document courant.
      Vous pouvez saisir le nom d'un autre document spcifi (local ou
      distant) qui va tre affich dans la mme fentre. Tapez sur la touche
      Enter quand le curseur se trouve dans cette zone pour rendre le
      chargement du document effectif. Cette commande peut aussi tre utilise
      pour crer un nouveau document local.</dd>
  <dt>Liens suivants</dt>
    <dd><a href="#L311">Activer un lien</a> pour obtenir le document
      correspondant.</dd>
</dl>

<h3><a name="Moving">Aller en arrire et en avant</a></h3>

<p>Il existe diffrentes manires de se dplacer dans l'historique des pages
charges :</p>
<dl>
  <dt>Menu Fichier</dt>
    <dd>Il y a des entres dans le menu Fichier pour avancer ou reculer. Les
      raccourcis clavier sont par dfaut respectivement <strong>Alt-b</strong>
      et <strong>Alt-f</strong> sur Unix, <strong>Control-b</strong> et
      <strong>Shift-Control-F</strong> sur Windows.</dd>
  <dt>Barre des boutons</dt>
    <dd>Deux boutons : <img alt="Back " border="0" src="../Icons/Back.gif"
      align="middle" /> et <img alt="Forward " border="0"
      src="../Icons/Forward.gif" align="middle" /> vous permettent de
      retourner  la page prcdente ou d'aller  la page suivante.</dd>
</dl>

<h3><a name="Reloading">Recharger une page</a></h3>

<p>Les documents peuvent tre rechargs en utilisant l'option
<strong>Recharger le document</strong> du menu <strong>Fichier</strong>, le
raccourci clavier <strong>Alt-r</strong> sur Unix et
<strong>Control-r</strong> sur Windows, ou le bouton <img
src="../Icons/Reload.png" alt="reload" /> de la barre des boutons.</p>

<h3><a name="Keyboard">Contrle du clavier</a></h3>

<p>Amaya fournit un contrle clavier pour de nombreuses fonctions. Les
commandes clavier par dfaut sont fournies  leurs places appropries dans la
documentation. La section d'aide sur <a href="Configure.html.fr">Configurer
Amaya</a> dcrit comment changer les valeurs par dfaut, et les raccourcis
clavier sont affichs  ct des entres auxquelles ils sont associs.</p>
</div>

<p align="right"><a href="Manual.html.fr"><img alt="" /></a></p>
</body>
</html>
