<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
  <title>Liens et Ancres</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="fr" lang="fr">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> c<img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="Creating.html.fr" accesskey="p"><img
        alt="previous" border="0" src="../Icons/left.gif" /></a> <a
        href="Manual.html.fr" accesskey="t"><img alt="top" border="0"
        src="../Icons/up.gif" /></a> <a href="Changing.html.fr"
        accesskey="n"><img alt="next" border="0" src="../Icons/right.gif"
        /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Creating">
<h2>Crer et modifier des liens et des ancres</h2>

<h3><a name="L557">Crer une ancre cible</a></h3>

<p>Une ancre cible est une partie du texte qui est rfrence par un lien (une
ancre source). Avant de crer un lien sur une telle partie du texte, vous
devez tout d'abord la transformer en ancre cible.</p>

<p>Pour ceci, il suffit de slectionner une chane de caractre avec la souris
et de choisir <strong>Crer cible</strong> dans le menu
<strong>Liens</strong>. Le texte ainsi slectionn est dsormais une cible. Si
vous avez fix le statut "Montrer les cibles"  votre vue formate courante,
le texte sera prcd d'une<a href="Browsing.html.fr#target">icne cible <img
src="../Icons/target.gif" alt=" target " /></a>. Dans la vue liens, les icnes
cibles qui identifient les ancres cibles sont toujours visualises (il
n'existe pas d'option pour montrer ou cacher les icnes cibles). Quand une
ancre cible est cre, Amaya gnre automatiquement la valeur NAME 
l'attribut :</p>
<ul>
  <li><p>En extrayant un mot de plus de 3 caractres depuis le contenu de
    l'ancre</p>
    <p></p>
    <p>OU</p>
    <p></p>
  </li>
  <li><p>En gnrant un numro.</p>
  </li>
</ul>

<p>Dans les deux cas, Amaya garanti que la valeur gnre est unique dans le
document.</p>

<h3><a name="target1">Crer un lment cible</a></h3>

<p>En HTML 4.0, un lment peut tre utilis comme une cible de liens. Un
lment cible est un lment tap qui possde un attribut ID qui est rfrenc
par un lien (une ancre source). Avant de crer un lien  un tel lment, vous
devez tout d'abord le transformer en lment cible.</p>

<p>Vous pouvez crer un lment cible de la mme manire que vous crez une
ancre cible. Vous avez juste  slectionner une chane de caractre dans
l'lment, d'utiliser la touche Esc (F2 pour Windows) afin de slectionner
l'lment lui mme et de choisir <strong>Crer cible</strong> depuis le menu
<strong>Liens</strong>. L'lment slectionn a maintenant un attribut ID, qui
l'identifie comme un lment cible. Amaya gnre automatiquement cette valeur
ID unique.</p>

<p>Si vous avez fix le statut "Montrer les cibles"  votre vue formate
courante, le texte est prcd par une icne cible <img
src="../Icons/target.gif" alt=" target " />.</p>

<p>Il est galement possible de crer directement l'attribut ID en utilisant
le menu <strong><a href="Attributes.html.fr#Attributes">Attributs</a></strong>
quand l'lment est slectionn, soit dans la vue liens soit dans la vue
structure. Quand la valeur a t entre, Amaya vrifie la valeur et la change
si elle est dj utilise pour un autre attribut NAME ou ID dans le mme
document.</p>

<p>Vous pouvez enfin utiliser l'entre <strong>Ajouter/Retirer attributs
ID</strong> du menu <strong>Spcial</strong> pour ajouter automatiquement un
attribut sur tous les lments portant le mme nom et ce dans le document
entier ou  l'intrieur de la slection. Pour cela, vous devez saisir le nom
de l'lment concern et choisir le bouton <strong>Ajouter ID</strong> ou
<strong>Retirer ID</strong>. La figure suivante montre la faon d'ajouter un
attribut <strong>ID</strong>sur tous les lments <code>P</code> du document.
Les lments <code>P</code> qui possdaient dj un attribut
<strong>ID</strong> ne sont pas considrs.</p>
</div>

<p style="text-align: center"><img src="../Icons/IDMenu.png"
alt="The Add/Remove ID menu" /></p>

<div id="Creating1">
<h3><a name="L245">Crer un lien</a></h3>

<h4>Liens externes</h4>

<p>Pour crr une ancre qui est un lien vers un autre document :</p>
<ol>
  <li><a href="Selecting.html.fr#Selecting">Slectionnez</a> le contenu de
    l'ancre  crer</li>
  <li>Cliquez sur le bouton <img alt="Link " src="../Icons/Link.gif"
    align="middle" /> , ou choisir <strong>Crer/changer lien</strong> du menu
    <strong>Liens</strong>, ou encore utiliser le raccourci clavier (par
    dfaut Ctrl Shift L)</li>
  <li>A partir de l, s'offre  vous plusieurs solutions : 
    <ul>
      <li>Si le document cible est visualis par <strong>Amaya</strong> 
        <ul>
          <li>Cliquez n'importe o dessus. Le lien est cr.</li>
        </ul>
      </li>
      <li>Si vous n'tes pas  l'aise avec la souris : 
        <ul>
          <li>Tapez sur n'importe quelle touche. Cela fera surgir une bote de
            dialogue : entrez l'URI du document cible et taper sur la touche
            <strong>Enter ou Return</strong> pour confirmer. Le lien est
          cr.</li>
        </ul>
      </li>
      <li>Si l'lment cible n'est pas visualis : 
        <ul>
          <li>Cliquez n'importe o sur le document courant, except sur une
            icne cible locale.</li>
          <li>Une bote de dialogue surgit : entrez l'URL du document cible et
            cliquez sur le bouton <strong>Confirmer</strong>. Le lien est
            cr.</li>
        </ul>
      </li>
    </ul>
  </li>
</ol>

<h4>Liens internes</h4>

<p>Pour crer un lien vers une ancre cible particulire ou vers un lment
cible particulier dans le mme document ou dans un autre, remplacez l'tape 3
par celle ci :</p>
<ol>
  <li value="3">Dans ce cas, vous pouvez cliquer sur<span
    style="color: #000000"><a href="Browsing.html.fr#target">l'icne
    cible</a></span>, dans n'importe quelle vue, qui devrait tre visualise
    dans la vue formate ou dans la vue liens. Le lien est cr.</li>
</ol>

<h3><a name="Removing">Supprimer un lien ou une ancre cible</a></h3>

<p>Le menu <strong>Liens</strong> contient une commande qui inverse les deux
commandes nonces plus haut : <strong>Dtruire ancre</strong>. Mettre la
slection ou le point d'insertion n'importe o  l'intrieur de l'ancre 
dtruire (vous n'avez pas besoin de slectionner toute l'ancre, mais vous
pouvez) et activer la commande <strong>Dtruire ancre</strong>. L'ancre est
dtruite, mais son contenu reste.</p>

<h3><a name="Changing">Changer un lien</a></h3>

<p>Si vous voulez garder une ancre mais changer la cible du lien
correspondant, slectionnez n'importe quelle partie de l'ancre ou bien mettez
juste le point d'insertion  l'intrieur de l'ancre. Cliquez sur le bouton
<img alt="Link " src="../Icons/Link.gif" align="middle" /> ou choisissez
<strong>Changer Lien</strong> du menu <strong>Liens</strong>. Dsignez ensuite
la nouvelle cible de l'ancre comme ci dessus (tape 3 de la <a
href="#L245">cration d'un lien</a>).</p>

<p>Pour changer la cible d'un lien, vous pouvez galement diter l'attribut
<code>href</code>, soit directement dans la vue structure soit dans la vue
liens ou encore en utilisant le menu <a
href="Attributes.html.fr#Attributes"><strong>Attributs</strong></a>.</p>
</div>

<p align="right"><a href="Creating.html.fr"><img alt="previous" border="0"
src="../Icons/left.gif" /></a> <a href="Manual.html.fr"><img alt="top"
border="0" src="../Icons/up.gif" /></a> <a href="Changing.html.fr"><img
alt="next" border="0" src="../Icons/right.gif" /></a></p>
<hr />
</body>
</html>
