<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Manuel d'utilisation d'Amaya</title>
  <style type="text/css">
.name { background-color: #FFF6C1}
body {background-color: #FFFFFF}</style>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="fr" lang="fr">
<p><a href="../../"><img border="0" src="../../Icons/WWW/w3c_home" alt="W3C"
/></a> <a href="../"><img src="../Icons/amaya.gif" alt="Amaya" border="0"
/></a> <a href="Manual.html.fr"><img border="0" src="../Icons/doc48x.gif"
alt="Doc" /></a></p>

<h1 style="text-align : center">Manuel d'utilisation d'Amaya</h1>
<hr />

<p><strong>Version :</strong> 4.3 - fvrier 2001</p>
<dl>
  <dt><strong>Auteurs :</strong></dt>
    <dd>Irne Vatton, Vincent Quint, Jos Kahan</dd>
  <dt><strong>Collaborateurs :</strong></dt>
    <dd>Charles McCathieNevile, John Russell, Marja-Riitta Koivunen, Laurent
      Carcone</dd>
  <dt><strong>Traductrices :</strong></dt>
    <dd>Valentine Giordani, Magali Vatton</dd>
</dl>

<p>Ce manuel prsente l'interface utilisateur d'Amaya pour les stations Unix.
L'interface utilisateur de Windows est lgrement diffrente dans certains
cas. Ce manuel d'utilisation n'est pas complet. Son but est simplement d'aider
les utilisateurs  dcouvrir les principales caractristiques du logiciel. Ce
document est organis comme un livre. Vous pouvez utiliser la commande "<a
href="MakeBook.html.fr#L1065">Construire un livre</a>" pour assembler et
imprimer la totalit du manuel.</p>

<p>Beaucoup de commandes <strong>Amaya</strong> sont les mmes que celles
fournies par les diteurs et les outils classiques. Elles ne sont pas
prsentes ici. Seuls les aspects spcifiques d' <strong>Amaya</strong> sont
dcrits.</p>
<hr />

<h1>Table des matires</h1>
<ul>
  <li><a href="#L920">Dmarrer Amaya</a></li>
  <li><a href="#Parcourir">Parcourir des pages Web avec Amaya</a> 
    <ul>
      <li><a href="Browsing.html.fr#Browsing">Naviguer avec Amaya</a> 
        <ul>
          <li><a href="Browsing.html.fr#Activating">Activer un lien</a></li>
          <li><a href="Browsing.html.fr#L294">Accs rapides</a></li>
          <li><a href="Browsing.html.fr#Opening">Ancres cibles</a></li>
          <li><a href="Browsing.html.fr#Opening">Ouvrir des documents</a></li>
          <li><a href="Browsing.html.fr#Moving">Reculer et avancer</a></li>
          <li><a href="Browsing.html.fr#Reloading">Recharger une page</a></li>
          <li><a href="Browsing.html.fr#Keyboard">Contrle du clavier</a></li>
        </ul>
      </li>
      <li><a href="Selecting.html.fr#Selecting">Slectionner</a> 
        <ul>
          <li><a href="Selecting.html.fr#Selecting1">Slectionner par la
            Structure</a></li>
          <li><a href="Selecting.html.fr#Selecting2">Slectionner des
            images</a></li>
        </ul>
      </li>
      <li><a href="Searching.html.fr#Searching">Rechercher et remplacer du
        texte</a></li>
      <li><a href="Views.html.fr#Views">Afficher des vues</a> 
        <ul>
          <li><a href="Views.html.fr#Opening">Ouvrir une vue</a></li>
          <li><a href="Views.html.fr#Closing">Fermer une vue</a></li>
          <li><a href="Views.html.fr#Using">Utiliser les vues</a></li>
        </ul>
      </li>
    </ul>
  </li>
  <li><a href="#L932">diter des pages Web avec Amaya</a> 
    <ul>
      <li><a href="Keyboard.html.fr#Keyboard">Entrer des caractres
        ISO-Latin-1</a> 
        <ul>
          <li><a href="Keyboard.html.fr#Standard">Le support multi-touches
            standard</a></li>
          <li><a href="Keyboard.html.fr#Optional">Le support multi-touches
            optionnel</a></li>
        </ul>
      </li>
      <li><a href="Creating.html.fr#Creating">Crer de nouveaux lments</a> 
        <ul>
          <li><a href="Creating.html.fr#New">Nouveaux documents</a></li>
          <li><a href="Creating.html.fr#Types">Boutons et menu
          Elments</a></li>
          <li><a href="Creating.html.fr#Structure">menu Structure</a></li>
          <li><a href="Creating.html.fr#L906">La touche Enter (ou
          Return)</a></li>
          <li><a href="Creating.html.fr#Changing">Changer le titre du
            document</a></li>
          <li><a href="Creating.html.fr#Creating1">Traitement des
          blancs</a></li>
        </ul>
      </li>
      <li><a href="Links.html.fr#Creating">Crer et modifier des liens et des
        ancres</a> 
        <ul>
          <li><a href="Links.html.fr#L557">Crer une ancre cible</a></li>
          <li><a href="Links.html.fr#target1">Crer un lment cible</a></li>
          <li><a href="Links.html.fr#L245">Crer un lien</a></li>
          <li><a href="Links.html.fr#Removing">Supprimer un lien ou une ancre
            cible</a></li>
          <li><a href="Links.html.fr#Changing">Changer un lien</a></li>
        </ul>
      </li>
      <li><a href="Changing.html.fr#Changing">diter la structure du
        document</a> 
        <ul>
          <li><a href="Changing.html.fr#L653">Changer le type de
          l'lment</a></li>
          <li><a href="Changing.html.fr#L631">Changer la structure du
            document</a></li>
          <li><a href="Changing.html.fr#L141">La commande Transformer</a></li>
          <li><a href="Changing.html.fr#Inserting">Insrer une
          Division</a></li>
          <li><a href="Changing.html.fr#Back">Les touches Back Space et Delete
            fusionnes</a></li>
        </ul>
      </li>
      <li><a
        href="/local_home/diffusion/Amaya/doc/amaya/Tables.html#Editing">diter
        des tables</a> 
        <ul>
          <li><a href="Tables.html.fr#Creating">Crer une nouvelle
          table</a></li>
          <li><a href="Tables.html.fr#Adding">Ajouter une nouvelle
          colonne</a></li>
          <li><a href="Tables.html.fr#Adding1">Ajouter un nouvelle ligne, un
            nouveau tbody</a></li>
          <li><a href="Tables.html.fr#Removing">Dtruire une colonne</a></li>
          <li><a href="Tables.html.fr#Adding2">Ajouter quelque chose aprs une
            table</a></li>
        </ul>
      </li>
      <li><a href="Math.html.fr#Math">diter des mathmatiques</a> 
        <ul>
          <li><a href="Math.html.fr#Creating">Crer une expression
            mathmatique</a></li>
          <li><a href="Math.html.fr#Entering1">Entrer des caractres</a></li>
          <li><a href="Math.html.fr#Structure">diter la structure</a></li>
          <li><a href="Math.html.fr#Math_Struc">La Vue Structure</a></li>
          <li><a href="Math.html.fr#Links">Les liens dans MathML</a></li>
          <li><a href="Math.html.fr#Current">Limites courantes</a></li>
        </ul>
      </li>
      <li><a href="SVG.html.fr">dition des graphiques</a> 
        <ul>
          <li><a href="SVG.html.fr#L288">Cration de graphiques avec la
            palette</a></li>
          <li><a href="SVG.html.fr#L292">Dplacer les graphiques</a></li>
          <li><a href="SVG.html.fr#Retailler">Retailler les
          graphiques</a></li>
          <li><a href="SVG.html.fr#Peindre">Peindre les graphiques</a></li>
        </ul>
      </li>
      <li><a href="ImageMaps.html.fr#Client-sid">Crer et utiliser des zones
        actives</a> 
        <ul>
          <li><a href="ImageMaps.html.fr#Adding">Ajouter une image</a></li>
          <li><a href="ImageMaps.html.fr#Using">Texte de remplacement et
            Descriptions longues</a></li>
          <li><a href="ImageMaps.html.fr#Using">Utiliser des zones
          actives</a></li>
          <li><a href="ImageMaps.html.fr#Creating">Crer des zones
          actives</a></li>
          <li><a href="ImageMaps.html.fr#L11711">Dplacer des zones
            actives</a></li>
          <li><a href="ImageMaps.html.fr#L1171">Redimensionner des zones
            actives</a></li>
        </ul>
      </li>
      <li><a href="StyleSheets.html.fr#Style">Les feuilles de style</a> 
        <ul>
          <li><a href="StyleSheets.html.fr#Creating">Crer et mettre  jour un
            attribut de style</a></li>
          <li><a href="StyleSheets.html.fr#Creating,">Crer un style gnrique
            pour un lment ou une classe</a></li>
          <li><a href="StyleSheets.html.fr#feuilles">Les feuilles de style CSS
            externes et les feuilles de style CSS utilisateur</a></li>
          <li><a href="StyleSheets.html.fr#Managing">Grer des feuilles de
            style CSS externes</a></li>
          <li><a href="StyleSheets.html.fr#L1371">Mettre du style en utilisant
            des lments HTML</a></li>
        </ul>
      </li>
      <li><a href="Attributes.html.fr#Attributes">diter des attributs</a> 
        <ul>
          <li><a href="Attributes.html.fr#L1073">diter des attributs par le
            biais du menu Attributs</a></li>
          <li><a href="Attributes.html.fr#Copying">Copier des
          attributs</a></li>
          <li><a href="Attributes.html.fr#Editing">diter des attributs dans
            la Vue structure</a></li>
        </ul>
      </li>
      <li><a href="SpellChecking.html.fr#Spell">Vrifier
      l'orthographe</a></li>
      <li><a href="Publishing.html.fr#Saving">Sauver et publier des
        documents</a> 
        <ul>
          <li><a href="Publishing.html.fr#L1104">Sauver des documents en
            HTML</a></li>
          <li><a href="Publishing.html.fr#L1105">Sauver des documents en tant
            que textes</a></li>
        </ul>
      </li>
      <li><a href="Printing.html.fr#Printing">Imprimer des documents</a></li>
      <li><a href="Numbering.html.fr#Section">Numroter une section</a></li>
      <li><a href="MakeBook.html.fr#Assembling">Assembler des collections de
        document</a></li>
    </ul>
  </li>
  <li><a href="Annotations.html.fr#Assembling">Les annotations dans Amaya</a> 
    <ul>
      <li><a href="Annotations.html.fr#def">Dfinition</a></li>
      <li><a href="Annotations.html.fr#Local">Annotations locales et
        distantes</a></li>
      <li><a href="Annotations.html.fr#Annotation">Menu des
      annotations</a></li>
      <li><a href="Annotations.html.fr#Configurat">Menu de configuration pour
        les annotations</a></li>
      <li><a href="Annotations.html.fr#Creating1">Crer une
      annotation</a></li>
      <li><a href="Annotations.html.fr#Deleting1">Dtruire une
      annotation</a></li>
      <li><a href="Annotations.html.fr#Loading">Charger et prsenter les
        annotations</a></li>
      <li><a href="Annotations.html.fr#Navigating">Activer des
      annotations</a></li>
      <li><a href="Annotations.html.fr#Issues1">Problmes relatifs aux
        annotations et aux documents modifis</a></li>
    </ul>
  </li>
  <li><a href="Configure.html.fr#Configuring">Configurer Amaya</a> 
    <ul>
      <li><a href="Configure.html.fr#Conventions">Conventions</a> 
        <ul>
          <li><a href="Configure.html.fr#L979">Le rpertoire
            d'Amaya/Config</a></li>
          <li><a href="Configure.html.fr#AmayaHome">Le rpertoire
            d'AmayaHome</a></li>
          <li><a href="Configure.html.fr#AmayaTemp">Le rpertoire d'
            AmayaTemp</a></li>
        </ul>
      </li>
      <li><a href="Configure.html.fr#preferences">Menus des
      prfrences</a></li>
    </ul>
  </li>
  <li><a href="ShortCuts.html.fr#shortcuts">Raccourcis clavier</a></li>
</ul>
<hr />

<h2><a name="L920" id="L920">Dmarrer Amaya</a></h2>

<p>Pour dmarrer <strong>Amaya</strong> sur une station Unix :</p>
<pre>    amaya [-display host] [document]</pre>

<p>Le paramtre [-display host] est optionnel. Il dtermine l'cran hte
lointain o Amaya doit afficher des pages Web. Si ce paramtre est omis, Amaya
affiche dans l'cran local.</p>

<p>Le paramtre <code>[document]</code> est optionnel. C'est le nom de fichier
ou le URI du premier document qu' <strong>Amaya</strong> doit afficher quand
il dmarre. Si aucun paramtre n'est donn, un document par dfaut est
prsent. Le document par dfaut pourrait tre votre <em>home page</em> (voir
<a href="Configure.html.fr#L138">comment configurer votre Home Page</a>) ou la
page de bienvenue d'Amaya.</p>

<h2><a name="Parcourir" id="Parcourir">Parcourir des pages Web avec
Amaya</a></h2>

<p><strong>Amaya</strong> peut tre utilis pour parcourir des documents Web
locaux ou distants.</p>

<p>Chaque section suivante dcrit brivement comment utiliser une fonction
spcifique d'Amaya :</p>
<ul>
  <li><a rel="Chapter" href="Browsing.html.fr#Browsing">Naviguer avec
    Amaya</a></li>
  <li><a rel="Chapter"
  href="Selecting.html.fr#Selecting">Slectionner</a></li>
  <li><a rel="Chapter" href="Views.html.fr#Views">Afficher des vues</a></li>
</ul>

<h2><a name="L932" id="L932">diter des pages Web avec Amaya</a></h2>

<p><strong>Amaya</strong> ne vous permet pas seulement de naviguer des
documents sur le Web, il vous permet aussi de les diter et de les <a
href="Publishing.html.fr#Saving">sauver</a> soit localement soit dans des
serveurs Web lointains.</p>

<p>Nous tentons de rendre Amaya aussi robuste que possible. Une session
d'Amaya peut nanmoins faillir. Si cela arrive, Amaya tente de sauver les
documents couramment modifis dans les fichiers de sauvegarde. Quand
l'utilisateur redmarre une nouvelle session d'Amaya, la recharge des fichiers
de sauvegarde est automatiquement propose.</p>

<p>Chaque section suivante dcrit brivement comment utiliser une fonction
spcifique d'Amaya :</p>
<ul>
  <li><a rel="Chapter" href="Searching.html.fr#Searching">Rechercher et
    remplacer du texte</a></li>
  <li><a href="Keyboard.html.fr#Keyboard" rel="Chapter">Entrer des caractres
    ISO-Latin-1</a></li>
  <li><a rel="Chapter" href="Creating.html.fr#Creating">Crer de nouveaux
    lments</a></li>
  <li><a rel="Chapter" href="Links.html.fr#Creating">Crer et modifier des
    liens et des ancres</a></li>
  <li><a rel="Chapter" href="Changing.html.fr#Changing">diter la structure du
    document</a></li>
  <li><a rel="Chapter" href="Tables.html.fr#Editing">diter des
  tables</a></li>
  <li><a href="Math.html.fr#Math" rel="Chapter">diter des
  mathmatiques</a></li>
  <li><a href="SVG.html.fr#Edition" rel="Chapter">dition des
  graphiques</a></li>
  <li><a rel="Chapter" href="ImageMaps.html.fr#Client-sid">Crer et utiliser
    des zones actives</a></li>
  <li><a rel="Chapter" href="StyleSheets.html.fr#Style">Les feuilles de
    style</a></li>
  <li><a rel="Chapter" href="Attributes.html.fr#Attributes">diter des
    attributs</a></li>
  <li><a rel="Chapter" href="SpellChecking.html.fr#Spell">Vrifier
    l'orthographe</a></li>
  <li><a rel="Chapter" href="Publishing.html.fr#Saving">Sauver et publier des
    documents</a></li>
  <li><a rel="Chapter" href="Printing.html.fr#Printing">Imprimer des
    documents</a></li>
  <li><a rel="Chapter" href="Numbering.html.fr#Section">Numroter une
    section</a></li>
  <li><a rel="Chapter" href="MakeBook.html.fr#Assembling">Assembler des
    collections de document</a></li>
  <li><a rel="Chapter" href="Annotations.html.fr#Annotations">Les annotations
    dans Amaya</a></li>
</ul>

<p>Il est galement possible de changer les options par dfaut (reportez-vous
 la section qui explique comment <a href="Configure.html.fr#Configuring"
rel="Chapter">Configurer Amaya</a>).</p>

<p>La page sur <a href="Access.html.fr#Access" rel="Chapter">Accessibilit
dans Amaya</a> dcrit l'accessibilit d'Amaya, et explique comment l'utiliser
pour produire des pages utilisables aussi bien par les gens qui ont des
incapacits que par ceux qui n'en ont pas.</p>
<hr />

<p><a name="There" id="There">Il y a galement une brve introduction qui
dcrit quelques types HTML qui peuvent tre utiliss dans Amaya (comme les
en-ttes, les listes, les citations) et qui explique comment les
utiliser.</a></p>
<ul>
  <li><a href="HTML-elements/infoTypes.html.fr#Information"
    rel="Chapter">Types information dans HTML</a></li>
  <li><a href="HTML-elements/structure.html.fr#HTML" rel="Chapter">Structure
    du document HTML</a></li>
  <li><a href="HTML-elements/headings.html.fr#Heading" rel="Chapter">lments
    d'en-tte</a></li>
  <li><a href="HTML-elements/lists.html.fr#List" rel="Chapter">lments d'une
    liste</a></li>
  <li><a href="HTML-elements/address.html.fr#About" rel="Chapter">A propos de
    l'auteur</a></li>
  <li><a href="HTML-elements/inline.html.fr#Inline3" rel="Chapter">Dfinitions
    en ligne, citations, sample code, insertions et suppressions,
    abrviations, etc</a></li>
  <li><a href="HTML-elements/40styling.html.fr#Character"
    rel="Chapter">lments style de HTML ( ce qu'il ne faut pas faire et ce
    qui doit tre fait...)</a></li>
</ul>
<hr />
<address>
  <a href="mailto:vatton@w3.org">I. Vatton</a>
</address>

<p><small><a
href="http://www.w3.org/Consortium/Legal/ipr-notice.html#Copyright">Copyright</a>
 2000 <a href="http://www.w3.org/">W3C</a> (<a
href="http://www.lcs.mit.edu/">MIT</a>, <a
href="http://www.inria.fr/">INRIA</a>, <a
href="http://www.keio.ac.jp/">Keio</a> ), All Rights Reserved. W3C <a
href="http://www.w3.org/Consortium/Legal/ipr-notice.html#Legal Disclaimer">liability,</a>
<a
href="http://www.w3.org/Consortium/Legal/ipr-notice.html#W3C Trademarks">trademark</a>,
<a href="http://www.w3.org/Consortium/Legal/copyright-documents.html">document
use</a>and <a
href="http://www.w3.org/Consortium/Legal/copyright-software.html">software
licensing</a>rules apply. Your interactions with this site are in accordance
with our <a
href="http://www.w3.org/Consortium/Legal/privacy-statement.html#Public">public</a>
and <a
href="http://www.w3.org/Consortium/Legal/privacy-statement.html#Members">Member</a>
privacy statements.</small></p>
</body>
</html>
