<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Publication</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="fr" lang="fr">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> <img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="SpellChecking.html.fr" accesskey="p"><img
        alt="previous" border="0" src="../Icons/left.gif" /></a> <a
        href="Manual.html.fr" accesskey="t"><img alt="top" border="0"
        src="../Icons/up.gif" /></a> <a href="Printing.html.fr"
        accesskey="n"><img alt="next" border="0" src="../Icons/right.gif"
        /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Saving">
<h2><a name="L1052">Sauver et Publier des documents</a></h2>

<p>Amaya permet de sauver les documents soit en HTML soit en format texte.</p>

<p>Il est possible d'accder aux sauvegardes lointaine et locale peuvent tre
accder de deux faons, grce aux commandes <strong>Sauver</strong> et
<strong>Sauver comme</strong>.</p>

<p>Cette section manuelle dcrit les commandes du menu de publication. En
plus, il existe un nombre d'options de configuration que vous pouvez changer
par l'intermdiaire du <a href="Configure.html.fr#Publishing">menu de
configuration</a>.</p>

<h3><a name="L1104">Sauver des documents en HTML</a></h3>

<p><b>Amaya</b> ne fournit aucune vue d'ensemble de srie de pages installes
sur le serveur. Cependant il est possible de sauver des fichiers d'un serveur
lointain comme des fichiers locaux grce aux commandes <strong>Sauver</strong>
et <strong>Sauver comme</strong>. Pendant ces oprations, Amaya tient compte
des images.</p>

<h4><a name="L1517">La commande sauver</a></h4>

<p>La commande sauver peut tre invoque soit en choisissant
<strong>Sauver</strong> depuis le menu <strong>Fichier</strong> (control-s
pour Windows, control-x, control-s pour Unix) ou bien en cliquant sur le
bouton <img alt="floppy" src="../Icons/floppy.gif" align="middle" border="0"
/> . Cette commande sauve le document courant  l'adresse o il a t amen.
Les images nouvellement ajoutes sont sauves dans le mme rpertoire et
aucune confirmation n'est demande, except si le nom du document est inconnu.
Les serveurs permettent aux utilisateurs d'importer un document quand seul le
nom du serveur ou le rpertoire du serveur ont donn. C'est trs utile au
moment de la navigation, mais a n'est pas support par la mthode "put". Dans
ce cas, Amaya dtecte que le nom du document manque et propose d'utiliser un
nom par dfaut pour rpondre  la demande.</p>

<p>Si quelqu'un a besoin de sauver des images nouvellement ajoutes dans un
autre endroit, la commande <strong>Sauver comme</strong>devra tre utilise 
la place.</p>

<h4><a name="L1518">La commande Sauver comme</a></h4>

<p>Le fait de slectionner l'entre <strong>Sauver comme</strong> dans le menu
<strong>Fichier</strong> ouvre une bote de dialogue qui vous permet de sauver
le document courant  une adresse diffrente, un serveur Web lointain ou un
fichier local.</p>

<p>Vous pouvez :</p>
<ul>
  <li>sauver le document sur un disque local,</li>
  <li>sauver le document sur un URI lointain,</li>
  <li>sauver des images dans le rpertoire du document ou  une adresse
    diffrente,</li>
  <li>transformer les URIs dans le document,</li>
</ul>

<p><img src="../Icons/SaveAsfr.gif" alt="SaveAs" /></p>

<p>Les choix dans la bote de dialogue, de haut en bas, de gauche  droite
sont utiliss comme suit :</p>
<ul>
  <li>Le slecteur <strong>Rpertoires</strong> montre les rpertoires
    contenus dans le rpertoire courant. Il devrait tre utilis pour sauver
    un fichier sur le systme de fichier local.</li>
  <li>Le slecteur des <strong>Fichiers</strong> montre les fichiers contenus
    dans le rpertoire local courant.</li>
  <li>Les choix <strong>HTML</strong>, <strong>XML</strong> et
    <strong>Texte</strong> sont exclusifs. Si par dfaut c'est HTML qui est
    coch, vous devez changer si vous voulez produire un document XML
    (Voyager) ou un format texte du document courant.</li>
  <li>Le choix <strong>Copier les Images</strong> indique que les images
    importes dans le document courant doivent tre copies avec le document 
    une nouvelle adresse. Il vaut mieux gnralement garder ce bouton actif,
    autrement vous ne serez pas sr que les images correspondantes seront
    trouves en ouvrant le document ultrieurement. Cependant, le rendre
    inactif est utile quand vous avez chang uniquement le texte du document
    et que le document est stock sur le mme serveur. Quand les images seront
    copies, Amaya mettra  jour automatiquement tous les attributs
    <strong>SRC</strong> pour pointer vers de nouvelles adresses d'images. Les
    nouvelles adresses seront des URIs relatifs.</li>
  <li>Le choix <strong>Transformer les URIs</strong> transforme tous les URIs
    courants en URIs relatifs quand c'est possible. Biensr, si le document
    est sauv dans un fichier local et si les URIs pointent sur des fichiers
    lointains, les URIs resteront absolus. Ceci assure que tous les liens dans
    le document restent corrects aprs la copie. Cependant, si vous avez
    plusieurs documents relis aux URIs relatifs et que vous avez l'intention
    de les dplacer vers une adresse lointaine, la dsactivation de la
    conversion en URI est ncessaire afin d'viter le rfrencement des
    adresses initiales.</li>
  <li>Le champ <strong>Adresse du document</strong> indique l'adresse o le
    fichier HTML a t crit. Ce peut tre un fichier dans le systme du
    fichier local (par exemple "/pub/html/welcome.html") ou le nom d'un URI
    lointain (par exemple "http://www.w3.org/pub/WWW/Welcome.html"). 
    <p><strong>Notez</strong>que vous devrez donner le chemin complet comme si
    il n'y avait aucun moyen de deviner le nom de "http://www.w3.org/pub/WWW".
    Vous devrez galement vous assurer que vous avez le <strong>droit
    d'xcuter une mthode PUT</strong> dans le cas d'une adresse lointaine.
    Regardez la page <a
    href="http://www.w3.org/Amaya/User/Put.html">configurez votre serveur pour
    permettre la mthode PUT</a> ou demander  votre administrateur Web.</p>
  </li>
  <li>Le champ <strong>Adresse des images</strong> vous permet de sauver des
    images (si <strong>Copier les Images</strong> a t slectionn)  un
    autre endroit que le fichier HTML. Ce champ devrait contenir le nom d'un
    rpertoire dans le systme de fichier local ou une adresse dans le serveur
    lointain. 
    <ul>
      <li>en utilisant un chemin relatif, les images sont stockes  une
        adresse relative au rpertoire du document. Par exemple, si l'adresse
        du document est "http://www.w3.org/pub/WWW/Welcome.html" et que
        l'adresse des images est "Images", une image "W3C.png" contenue dans
        le document est stocke  l'URI
        "http://www.w3.org/pub/WWW/Images/W3C.png" et le fichier HTML est
        modifie le rfrant  : 
        <p>&lt;IMG SRC="Images/W3C.png"&gt;</p>
        <p>C'est la mme chose dans le cas d'une adresse dans le fichier
        systme local.</p>
      </li>
      <li>en utilisant un chemin absolu, les images sont stockes  cette
        adresse exacte, indpendamment de l'adresse du document. Dans
        l'exemple prcdent, si l'adresse des images spcifie est
        "http://pub/WWW/Images", l'image est stocke  l'adresse
        "http://www.w3.org/pub/WWW/Images/W3C.png" et le fichier HTML
        correspondant est modifi de la manire suivante : 
        <p>&lt;IMG SRC="Images/W3C.png"&gt;</p>
      </li>
    </ul>
  </li>
  <li>Le fait de cliquer sur <strong>OK</strong> dbute le processus de
    transformation du document et un vnement demande confirmation dans les
    deux cas suivants : 
    <ol>
      <li>Le document a t sauv sur un serveur lointain. L'URI complet qui
        doit tre crit est visualis pour vrification.</li>
      <li>Le document doit tre sauv localement et le fichier existe
      dj.</li>
    </ol>
    <p><strong>Notes</strong> :</p>
    <ul>
      <li>Quand on sauve  une adresse lointaine, s'il vous plat vrifiez que
        le proxy http n'est pas mis, ou que le serveur proxy et le <a
        href="http://www.w3.org/Amaya/User/Put.html">serveur cible sont
        configurs pour travailler avec la mthode PUT</a>.</li>
      <li><p><b>Amaya</b> ne contacte pas le serveur lointain (dans le cas
        d'une destination "http://..." destination) pour contrler si un tel
        document existe dj.</p>
      </li>
    </ul>
  </li>
</ul>

<h3><a name="L1105">Sauver des documents en tant que textes</a></h3>

<p>La commande <strong>Sauver comme</strong> du menu
<strong>Fichier</strong>visualise une bote de dialogue permettant de sauver
le document courant dans des formats diffrents.Le bouton
<strong>Texte</strong> du menu<strong>Format du document</strong> sauve le
document sous forme de texte, dans un fichier local. La liste de tous les URIs
utiliss dans le document est listes dans ce fichier.</p>
</div>

<p align="right"><a href="SpellChecking.html.fr"><img alt="previous"
border="0" src="../Icons/left.gif" /></a> <a href="Manual.html.fr"><img
alt="top" border="0" src="../Icons/up.gif" /></a> <a
href="Printing.html.fr"><img alt="next" border="0" src="../Icons/right.gif"
/></a></p>
<hr />
</body>
</html>
