<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
  <title>Les feuilles de style</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="fr" lang="fr">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> <img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="ImageMaps.html.fr" accesskey="p"><img
        alt="previous" border="0" src="../Icons/left.gif" /></a> <a
        href="Manual.html.fr" accesskey="t"><img alt="top" border="0"
        src="../Icons/up.gif" /></a> <a href="Attributes.html.fr"
        accesskey="n"><img alt="next" border="0" src="../Icons/right.gif"
        /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Style">
<h2><a name="L1023">Les feuilles de style</a></h2>

<p>Le menu <strong>Style</strong> vous permet de changer l'apparence de vos
documents de deux faons diffrentes :</p>
<ul>
  <li>en utilisant les cascades des feuilles de style (CSS).</li>
  <li>en utilisant les lments et les attributs HTML.</li>
</ul>

<p>Les premires entres du menu <strong>Style</strong> sont consacres aux
CSS et les deux dernires entres aux <a href="#L1371">lments HTML</a>.</p>

<h3><a name="Creating">Crer et mettre  jour un attribut de style</a></h3>

<p>Chacune des quatre entres du menu <strong>Style</strong> appelle une bote
de dialogue qui permet l'association d'un attribut de <code>style</code> aux
lments courants slectionns :<strong></strong><strong></strong></p>
<ul>
  <li><h3><span style="font-size: 12pt"><span
    style="font-weight: normal">L'option</span> Style de caractres<span
    style="font-weight: normal">permet de choisir la police de caractre, le
    style du caractre, la taille du corps et le style
    soulign.</span></span></h3>
  </li>
</ul>
<ul>
  <li><strong><span style="font-weight: normal">L'option</span>
    Couleurs</strong> permet de choisir les couleurs du premier plan et de
    l'arrire plan dans la palette. Cliquez sur une cellule de la palette avec
    le bouton gauche de la souris pour attribuer la couleur du premier plan,
    cliquez sur le bouton du milieu pour attribuer la couleur de l'arrire
    plan.</li>
  <li>L'option <strong>Format</strong> permet de choisir l'alignement, le
    renfoncement, la justification et l'interligne.</li>
  <li>L'option <strong>Image de fond</strong> permet de choisir une image de
    fond et son mode de rptition.</li>
</ul>

<p>Dans toutes ces botes de dialogue, les boutons <strong>Dfaut</strong>
permettent de supprimer l'information de style correspondant pour les lments
slectionns.</p>

<p>Toutes les modifications faites avec ces botes de dialogue peuvent tre
vues immdiatement dans la vue formate et galement dans la vue
structure.</p>

<h4>Changer la largeur et la hauteur des lments</h4>

<p>La largeur et la hauteur de n'importe quel lment dans un document peuvent
tre changes de faon intractive, de la mme faon que les <a
href="ImageMaps.html.fr#L1171">zones actives</a>. En tapant sur la touche
Control sur le clavier et en cliquant sur le bouton du milieu de la souris,
vous pouvez redimensionner la bote associe  l'lment situ sous le
curseur. Quand vous lchez le bouton de la souris, la taille de l'lment est
change et un attribut <code>style</code> est associ  l'lment.</p>

<p>Quand l'lment redimensionn est une image, cette image est retaille pour
remplir sa nouvelle bote.</p>

<h3><a name="Creating,">Crer un style gnrique pour un lment ou une
classe</a></h3>

<p>Quand un attribut <code>style</code> a t associ  un lment, vous
pouvez utiliser cet lment comme un modle pour crer ou modifier une rgle
de style. Slectionnez cet lment (vous devez slectionner un seul lment et
cet lment doit avoir un attribut <code>style</code>) et choisissez
<strong>Crer une rgle</strong> depuis le menu <strong>Style</strong>. Une
bote de dialogue surgit et visualise une liste de slecteurs CSS. Cette liste
inclus toutes les classes qui sont dfinies pour le document courant, ainsi
que les types d'lment auquel le style est associ. Choisissez un slecteur
dans cette liste ou entrez un nouveau nom de classe et cliquer sur le bouton
<strong>Confirmer</strong>. Le style de l'lment slectionn est dsormais
associ au slecteur choisi et l'attribut <code>style</code> est supprim pour
l'lment slectionn. Son contenu est dplac  l'lment <code>STYLE</code>,
dans le <code>HEAD</code> document, et tous les lments correspondant au
slecteur sont visualiss dans le nouveau style.</p>

<p>Quand vous avez cr de nouvelles classes avec la commande <strong>Crer
une rgle</strong>, vous pouvez associer ces classes  certains lments dans
le document. Choisissez <strong>Appliquer une classe</strong> depuis le menu
<strong>Style</strong>. Une bote de dialogue surgit, affichant toutes les
classes existantes. Choisissez une de ces classes. Les lments slectionns
sont dsormais visualiss avec le style associ  la classe choisie.</p>

<p>Pour associer une classe  un lment, vous pouvez galement utiliser le <a
href="Attributes.html.fr#L1073">menu <strong>Attributs</strong></a>. Ce menu
permet aussi d'effacer un attribut de classe pour un lment ou de le changer
: l'attribut de classe se manipule comme un autre attribut.</p>

<h3><a name="feuilles">Les feuilles de style CSS externes et les feuilles de
style CSS utilisateur</a></h3>

<p>Un document peut associer plusieurs feuilles de style externes qui sont
charges avec le document et lui sont appliques. Une feuille de style externe
peut s'appliquer  plusieurs documents. Quand la mme feuille de style
s'applique  plusieurs documents affichs, Amaya ne charge qu'une seule
instance de la feuille de style.</p>

<p>L'utilisateur peut dfinir une feuille de style spcifique qui s'applique 
tous les documents chargs. Cette feuille de style est appele <strong>Feuille
de Style Utilisateur</strong> et est le fichier
local<strong>amaya.css</strong> conserv dans l'environement de l'utilisateur
(Le <a href="Configure.html.fr#AmayaHome">rpertoire d'AmayaHome</a>). Par
exemple si vous prfrez afficher les document en Helvetica et imprimer avec
une police de caractres de petite taille, vous pouvez crer votre feuille de
style utilisateur avec les rgles CSS suivantes:</p>
<pre>@media print {
 BODY {font-size: 10pt}
}
@media screen {
 BODY {font-family: Helvetica}
}</pre>

<h3><a name="Managing">Grer des feuilles de style CSS externes</a></h3>

<p>L'entre de feuilles de style donne accs  une srie de commandes qui
permettent de contrler les feuilles de style CSS externes et celles qui
donnent les prfrences de l'utilisateur :</p>
<ul>
  <li>La commande <strong>Ajouter</strong> permet de lier une nouvelle feuille
    de style CSS  un document courant. On peut cliquer directement sur la
    cible de la feuille de style si elle est dj visualise dans la fentre
    Amaya. Si ce n'est pas le cas, l'utilisateur devra cliquer dans le
    document courant pour avoir accs  une bote de dialogue et taper l'URL
    de la cible de la feuille de style. Cette commande ajoute un lment lien
    avec ses attributs  la tte du document.</li>
  <li>La commande <strong>Ouvrir</strong> permet d'ouvrir une des feuilles de
    style CSS appliques au document courant.</li>
  <li>La commande <strong>Dsactiver</strong> permet de supprimer les effets
    d'une des feuilles de style actives du document courant. Cette commande
    n'affecte en rien le lien CSS dans le document.</li>
  <li>La commande <strong>Ractiver</strong> permet de rtablir les effets
    d'une des feuilles de style CSS dsactives du document courant. Cette
    commande n'affecte en rien le lien CSS dans le document.</li>
  <li>La commande <strong>Retirer</strong> permet de retirer une des feuilles
    de style CSS externes. Cette commande agit comme la commande Dsactiver.
    En plus de cela, l'lment lien qui attache les feuilles de style CSS est
    supprim.</li>
</ul>

<p>Les commandes Ouvrir, Dsactiver et Ractiver peuvent tre appliques aux
feuilles de style qui donnent les prfrences de l'utilisateur, mais les
commandes Ajouter et Retirer concernent uniquement les feuilles de style
relies. La figure suivante montre la liste des feuilles de style CSS
proposes pour la commande Ouvrir. Si aucune feuille de style CSS n'est
actuellement applique  un document, une bote de dialogue expliquera
"qu'aucun fichier CSS n'est disponible".</p>

<p><img alt="css.gif" src="../Icons/css.gif" /></p>

<p></p>

<h3><a name="L1371">Mettre du style en utilisant des lments HTML</a></h3>

<p>HTML fournit certains lments de niveau de caractre qui permettent
d'associer du style aux chanes de caractres. Deux entres depuis le menu
<strong>Style</strong> permettent de manier ces lments HTML.</p>

<h4>Crer des lments de style HTML</h4>

<p>La commande<strong>Types information</strong> du menu
<strong>Style</strong> prsente un sous-menu offrant un choix d'lments HTML
qui dfinissent des styles abstraits. Slectionnez tout d'abord une chane de
caractres dans votre page et ensuite choisissez une commande dans ce menu. La
chane de caractres slectionne reoit le style correspondant. Trois de ces
styles sont galement disponibles par l'intermdiaire des boutons :
<em>emphasis</em> (<img src="../Icons/Em.gif" alt="Emphasis button" />),
<strong>strong</strong> (<img src="../Icons/Strong.gif" alt="Strong button"
/>) and <code>code</code> (<img src="../Icons/Cour.gif" alt="Code button"
/>).</p>

<p>La commande<strong>lments caractres</strong> du menu
<strong>Style</strong> offre un autre menu changeant le style du texte. Les
premires entres de ce menu peuvent tre remplaces par CSS et ne devraient
pas tre utilises. Elles sont l uniquement pour se conformer 
l'implmentation de HTML 3.2.</p>

<h4>Supprimer le style</h4>

<p>Pour supprimer le style d'une chane de caractres, slectionnez tout
d'abord la chane et appliquez de nouveau la commande qui a t utilise pour
associer le style que vous voulez supprimer. Toutes les commandes des
sous-menus<strong>Types</strong><strong>information</strong>et
<cite></cite><strong>lments caractres</strong> s'annulent si elles sont
appliques de nouveau.</p>
</div>

<p align="right"><a href="ImageMaps.html.fr"><img alt="previous" border="0"
src="../Icons/left.gif" /></a> <a href="Manual.html.fr"><img alt="top"
border="0" src="../Icons/up.gif" /></a> <a href="Attributes.html.fr"><img
alt="next" border="0" src="../Icons/right.gif" /></a></p>
<hr />
</body>
</html>
