<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
  <title>Editer des tables</title>
  <meta name="GENERATOR" content="amaya V4.2.2" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body xml:lang="en" lang="en">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../Icons/WWW/w3c_home" /> <img
        border="0" alt="Amaya" src="../Icons/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="Changing.html.fr" accesskey="p"><img
        alt="previous" border="0" src="../Icons/left.gif" /></a> <a
        href="Manual.html.fr" accesskey="t"><img alt="top" border="0"
        src="../Icons/up.gif" /></a> <a href="Math.html.fr" accesskey="n"><img
        alt="next" border="0" src="../Icons/right.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Editing">
<h2>Editer des tables</h2>

<p>Il n'existe pas d'diteur de tables indpendant dans
<strong>Amaya</strong>. Une table est une simple structure dcrite par le DTD
HTML et elle est dite comme telle. Les commandes pour les tables sont les
mmes que pour les autres structures HTML, avec quelques supplments.</p>

<h3><a name="Creating">Crer une nouvelle table</a></h3>

<p>Quand on active le bouton table <img src="../Icons/table.gif"
alt="Table button" /> ou quand on slectionne l'entre
<strong>Table</strong>depuis le menu <strong>lments</strong>, Amaya
visualise une bote de dialogue qui vous permet de spcifier le nombre initial
de lignes et de colonnes pour la nouvelle table, ainsi que sa bordure. Si vous
avez fait a par erreur, cliquez simplement sur le bouton
<strong>Annuler</strong>. Pour crer une nouvelle table  la position
courante, cliquez sur le bouton <strong>Confirmer</strong>. Amaya gnrera
ainsi quelque chose comme la table suivante (3 colonnes et 2 lignes dans ce
cas) :</p>

<table border="1" summary="table">
  <caption>I</caption>
  <tbody>
    <tr>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td></td>
    </tr>
  </tbody>
</table>

<p>L'espace au dessus de la table est rserv  la lgende. Le point
d'insertion est automatiquement plac dans cette lgende, de telle manire que
vous puissiez rentrer son contenu immdiatement. Vous pouvez galement
l'effacer si vous n'avez pas besoin d'une lgende.</p>

<p>La nouvelle table contient des cellules vides. Vous pouvez cliquer sur
l'une d'entre elles au hasard et y insrer du texte, des images et autre. Vous
pouvez galement faire glisser le point d'insertion de cellule en cellule par
l'intermdiaire des flches du clavier.</p>

<h3><a name="Adding">Ajouter une nouvelle colonne</a></h3>

<p>De nouvelles colonnes peuvent tre cres efficacement avec la touche <a
href="Creating.html.fr#L906">Enter</a>. Dplacez le point d'insertion  la fin
ou au dbut de la cellule (par exemple  la fin de la cellule 1.1 dans la
table ci dessous). En tapant deux fois sur la touche Enter (la premire
pression de la touche cre un paragraphe dans la cellule courante) vous crez
une nouvelle cellule et sa colonne correspondante, comme montr ci dessous
:</p>

<table border="1" summary="table">
  <caption>Lgende</caption>
  <tbody>
    <tr>
      <td>Cell 1.1</td>
      <td>I</td>
      <td>Cell 1.2</td>
      <td>Cell 1.3</td>
    </tr>
    <tr>
      <td>Cell 2.1</td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
  </tbody>
</table>

<h3><a name="Adding1">Ajouter une nouvelle ligne, un nouveau
<code>tbody</code></a></h3>

<p>Pour crer une nouvelle ligne, taper sur Enter trois fois quand le point
d'insertion est  la fin de la dernire cellule d'une ligne (dans Cell 1.3,
par exemple). Vous pouvez galement slectionner la ligne en <a
href="Selecting.html.fr#Selecting1">tapant sur la touche Esc (pour les
stations Unix) ou sur la touche F2 (pour les stations Windows)</a> et en
tapant sur Enter seulement une fois.</p>

<p>Pour crer un nouveau <code>tbody</code>, taper sur Enter quatre fois (ou
trois fois si la cellule est vide) et une fois de plus pour crer un nouveau
paragraphe aprs la table.</p>

<h3><a name="Removing">Dtruire une colonne</a></h3>

<p>Il n'existe pas de commande spcifique pour crer une nouvelle colonne.
Quand vous crez une nouvelle cellule, Amaya gnre la nouvelle colonne
correspondante. Quand vous supprimez une cellule dans une colonne elle devient
vide et Amaya dtruit la colonne automatiquement.Mais il existe une commande
spcifique (Dtruire colonne de table) pour dtruire une colonne, mme si elle
n'est pas vide. Cette commande se trouve  la fin du sous-menu
<strong>Table</strong> du menu <strong>lments</strong>.</p>

<h3><a name="Adding2">Ajouter quelque chose aprs une table</a></h3>

<p>De nombreux types d'lments peuvent tre inclus  l'intrieur des cellules
de la table. Pour cette raison, Amaya pourrait mal comprendre vos intentions
quand vous slectionnez un type d'lment (par exemple cliquant H1, H2, etc.
ou slectionnant une entre dans le menu lments) pendant qu'un composant de
la table est slectionn. Quand vous voulez crer un lment aprs la table,
vous devez slectionner la table entire (contrler la slection courante dans
la ligne du bas de la fentre) et taper sur la touche Enter. Amaya gnrera un
paragraphe aprs la table. Ce nouveau paragraphe peut tre modifi si besoin
est.</p>

<p><em>Notez que le modle de table implment
dans</em><strong><em>Amaya</em></strong><em>est le modle d'</em><a
href="../../TR/REC-html40"><em>HTML4.0</em></a><em>. Celui ci inclus des
carastristiques comme les corps multiples
(</em><code><em>tbody</em></code><em>), des enttes de table
(</em><code><em>thead</em></code><em>) et des bas de table
(</em><code><em>tfoot</em></code><em>).</em></p>
</div>

<p align="right"><a href="Changing.html.fr"><img alt="previous" border="0"
src="../Icons/left.gif" /></a> <a href="Manual.html.fr"><img alt="top"
border="0" src="../Icons/up.gif" /></a> <a href="Math.html.fr"><img alt="next"
border="0" src="../Icons/right.gif" /></a></p>
<hr />
</body>
</html>
